Premise¶
Premise - Get Premise¶
HTTP Request
GET /api/premises/{id}
📋 Description: Retrieves detailed information about a specific real estate property within the Nakisa Portfolio Management Suite, identified by the provided premises ID, to support portfolio and asset analytics.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "number": "string",
10 "name": "string",
11 "headPremise": true,
12 "possessionDate": "2019-08-24",
13 "openingDate": "2019-08-24",
14 "closingDate": "2019-08-24",
15 "relocationDate": "2019-08-24",
16 "vacatingDate": "2019-08-24",
17 "expansionDate": "2019-08-24",
18 "statusId": 0,
19 "usageId": 0,
20 "parentPremiseId": 0,
21 "costCenterId": 0,
22 "profitCenterId": 0,
23 "legalEntityId": 0,
24 "occupancyIds": [
25 0
26 ],
27 "locationId": 0,
28 "locationDto": {
29 "createdBy": "string",
30 "lastModifiedBy": "string",
31 "createdDate": "2019-08-24T14:15:22Z",
32 "lastModifiedDate": "2019-08-24T14:15:22Z",
33 "archived": true,
34 "externalId": "string",
35 "id": 0,
36 "number": "string",
37 "name": "string",
38 "storeNumber": "string",
39 "defaultCurrencyId": 0,
40 "defaultMeasureId": 0,
41 "typeId": 0,
42 "qualityId": 0,
43 "propertyTypeId": 0,
44 "categoryId": 0,
45 "statusId": 0,
46 "businessUnitId": 0,
47 "groupIds": [
48 0
49 ],
50 "legalEntityIds": [
51 0
52 ],
53 "defaultCurrency": {
54 "id": 0,
55 "status": "CREATED",
56 "displayId": "string",
57 "erpSystemId": 0,
58 "erpSystemDisplayId": "string",
59 "name": "string",
60 "decimalPoints": 0,
61 "depreciationAreaId": 0
62 },
63 "defaultUnitValue": {
64 "createdBy": "string",
65 "lastModifiedBy": "string",
66 "createdDate": "2019-08-24T14:15:22Z",
67 "lastModifiedDate": "2019-08-24T14:15:22Z",
68 "archived": true,
69 "externalId": "string",
70 "id": 0,
71 "unitId": 0,
72 "unitOfMeasureId": 0,
73 "erpSystemId": 0,
74 "unit": {
75 "createdBy": "string",
76 "lastModifiedBy": "string",
77 "createdDate": "2019-08-24T14:15:22Z",
78 "lastModifiedDate": "2019-08-24T14:15:22Z",
79 "archived": true,
80 "externalId": "string",
81 "id": 0,
82 "priority": 0,
83 "internalId": 0,
84 "pickListCode": "string",
85 "pickListLabel": "string",
86 "label": "string",
87 "cultureId": 0,
88 "labelDtos": [
89 {
90 "createdBy": "string",
91 "lastModifiedBy": "string",
92 "createdDate": "2019-08-24T14:15:22Z",
93 "lastModifiedDate": "2019-08-24T14:15:22Z",
94 "archived": true,
95 "externalId": "string",
96 "id": 0,
97 "cultureId": 0,
98 "value": "string"
99 }
100 ]
101 },
102 "unitOfMeasure": {
103 "id": 0,
104 "status": "CREATED",
105 "displayId": "string",
106 "erpSystemId": 0,
107 "erpSystemDisplayId": "string",
108 "name": "string"
109 }
110 },
111 "type": {
112 "createdBy": "string",
113 "lastModifiedBy": "string",
114 "createdDate": "2019-08-24T14:15:22Z",
115 "lastModifiedDate": "2019-08-24T14:15:22Z",
116 "archived": true,
117 "externalId": "string",
118 "id": 0,
119 "priority": 0,
120 "internalId": 0,
121 "pickListCode": "string",
122 "pickListLabel": "string",
123 "label": "string",
124 "cultureId": 0,
125 "labelDtos": [
126 {
127 "createdBy": "string",
128 "lastModifiedBy": "string",
129 "createdDate": "2019-08-24T14:15:22Z",
130 "lastModifiedDate": "2019-08-24T14:15:22Z",
131 "archived": true,
132 "externalId": "string",
133 "id": 0,
134 "cultureId": 0,
135 "value": "string"
136 }
137 ]
138 },
139 "quality": {
140 "createdBy": "string",
141 "lastModifiedBy": "string",
142 "createdDate": "2019-08-24T14:15:22Z",
143 "lastModifiedDate": "2019-08-24T14:15:22Z",
144 "archived": true,
145 "externalId": "string",
146 "id": 0,
147 "priority": 0,
148 "internalId": 0,
149 "pickListCode": "string",
150 "pickListLabel": "string",
151 "label": "string",
152 "cultureId": 0,
153 "labelDtos": [
154 {
155 "createdBy": "string",
156 "lastModifiedBy": "string",
157 "createdDate": "2019-08-24T14:15:22Z",
158 "lastModifiedDate": "2019-08-24T14:15:22Z",
159 "archived": true,
160 "externalId": "string",
161 "id": 0,
162 "cultureId": 0,
163 "value": "string"
164 }
165 ]
166 },
167 "propertyType": {
168 "createdBy": "string",
169 "lastModifiedBy": "string",
170 "createdDate": "2019-08-24T14:15:22Z",
171 "lastModifiedDate": "2019-08-24T14:15:22Z",
172 "archived": true,
173 "externalId": "string",
174 "id": 0,
175 "priority": 0,
176 "internalId": 0,
177 "pickListCode": "string",
178 "pickListLabel": "string",
179 "label": "string",
180 "cultureId": 0,
181 "labelDtos": [
182 {
183 "createdBy": "string",
184 "lastModifiedBy": "string",
185 "createdDate": "2019-08-24T14:15:22Z",
186 "lastModifiedDate": "2019-08-24T14:15:22Z",
187 "archived": true,
188 "externalId": "string",
189 "id": 0,
190 "cultureId": 0,
191 "value": "string"
192 }
193 ]
194 },
195 "category": {
196 "createdBy": "string",
197 "lastModifiedBy": "string",
198 "createdDate": "2019-08-24T14:15:22Z",
199 "lastModifiedDate": "2019-08-24T14:15:22Z",
200 "archived": true,
201 "externalId": "string",
202 "id": 0,
203 "priority": 0,
204 "internalId": 0,
205 "pickListCode": "string",
206 "pickListLabel": "string",
207 "label": "string",
208 "cultureId": 0,
209 "labelDtos": [
210 {
211 "createdBy": "string",
212 "lastModifiedBy": "string",
213 "createdDate": "2019-08-24T14:15:22Z",
214 "lastModifiedDate": "2019-08-24T14:15:22Z",
215 "archived": true,
216 "externalId": "string",
217 "id": 0,
218 "cultureId": 0,
219 "value": "string"
220 }
221 ]
222 },
223 "status": {
224 "createdBy": "string",
225 "lastModifiedBy": "string",
226 "createdDate": "2019-08-24T14:15:22Z",
227 "lastModifiedDate": "2019-08-24T14:15:22Z",
228 "archived": true,
229 "externalId": "string",
230 "id": 0,
231 "priority": 0,
232 "internalId": 0,
233 "pickListCode": "string",
234 "pickListLabel": "string",
235 "label": "string",
236 "cultureId": 0,
237 "labelDtos": [
238 {
239 "createdBy": "string",
240 "lastModifiedBy": "string",
241 "createdDate": "2019-08-24T14:15:22Z",
242 "lastModifiedDate": "2019-08-24T14:15:22Z",
243 "archived": true,
244 "externalId": "string",
245 "id": 0,
246 "cultureId": 0,
247 "value": "string"
248 }
249 ]
250 },
251 "addressDto": {
252 "createdBy": "string",
253 "lastModifiedBy": "string",
254 "createdDate": "2019-08-24T14:15:22Z",
255 "lastModifiedDate": "2019-08-24T14:15:22Z",
256 "archived": true,
257 "externalId": "string",
258 "id": 0,
259 "street": "string",
260 "civicNumber": "string",
261 "suite": "string",
262 "postalCode": "string",
263 "lon": 0.1,
264 "lat": 0.1,
265 "city": {
266 "createdBy": "string",
267 "lastModifiedBy": "string",
268 "createdDate": "2019-08-24T14:15:22Z",
269 "lastModifiedDate": "2019-08-24T14:15:22Z",
270 "archived": true,
271 "externalId": "string",
272 "id": 0,
273 "name": "string",
274 "province": {
275 "createdBy": "string",
276 "lastModifiedBy": "string",
277 "createdDate": "2019-08-24T14:15:22Z",
278 "lastModifiedDate": "2019-08-24T14:15:22Z",
279 "archived": true,
280 "externalId": "string",
281 "id": 0,
282 "name": "string",
283 "code": "string",
284 "country": {
285 "createdBy": "string",
286 "lastModifiedBy": "string",
287 "createdDate": "2019-08-24T14:15:22Z",
288 "lastModifiedDate": "2019-08-24T14:15:22Z",
289 "archived": true,
290 "externalId": "string",
291 "id": 0,
292 "name": "string",
293 "code": "string"
294 },
295 "provinceCountryKey": "string"
296 },
297 "cityProvinceCountryKey": "string"
298 },
299 "district": {
300 "createdBy": "string",
301 "lastModifiedBy": "string",
302 "createdDate": "2019-08-24T14:15:22Z",
303 "lastModifiedDate": "2019-08-24T14:15:22Z",
304 "archived": true,
305 "externalId": "string",
306 "id": 0,
307 "name": "string",
308 "city": {
309 "createdBy": "string",
310 "lastModifiedBy": "string",
311 "createdDate": "2019-08-24T14:15:22Z",
312 "lastModifiedDate": "2019-08-24T14:15:22Z",
313 "archived": true,
314 "externalId": "string",
315 "id": 0,
316 "name": "string",
317 "province": {
318 "createdBy": "string",
319 "lastModifiedBy": "string",
320 "createdDate": "2019-08-24T14:15:22Z",
321 "lastModifiedDate": "2019-08-24T14:15:22Z",
322 "archived": true,
323 "externalId": "string",
324 "id": 0,
325 "name": "string",
326 "code": "string",
327 "country": {
328 "createdBy": "string",
329 "lastModifiedBy": "string",
330 "createdDate": "2019-08-24T14:15:22Z",
331 "lastModifiedDate": "2019-08-24T14:15:22Z",
332 "archived": true,
333 "externalId": "string",
334 "id": 0,
335 "name": "string",
336 "code": "string"
337 },
338 "provinceCountryKey": "string"
339 },
340 "cityProvinceCountryKey": "string"
341 }
342 },
343 "cityId": 0,
344 "districtId": 0
345 },
346 "secondAddressDto": {
347 "createdBy": "string",
348 "lastModifiedBy": "string",
349 "createdDate": "2019-08-24T14:15:22Z",
350 "lastModifiedDate": "2019-08-24T14:15:22Z",
351 "archived": true,
352 "externalId": "string",
353 "id": 0,
354 "street": "string",
355 "civicNumber": "string",
356 "suite": "string",
357 "postalCode": "string",
358 "lon": 0.1,
359 "lat": 0.1,
360 "city": {
361 "createdBy": "string",
362 "lastModifiedBy": "string",
363 "createdDate": "2019-08-24T14:15:22Z",
364 "lastModifiedDate": "2019-08-24T14:15:22Z",
365 "archived": true,
366 "externalId": "string",
367 "id": 0,
368 "name": "string",
369 "province": {
370 "createdBy": "string",
371 "lastModifiedBy": "string",
372 "createdDate": "2019-08-24T14:15:22Z",
373 "lastModifiedDate": "2019-08-24T14:15:22Z",
374 "archived": true,
375 "externalId": "string",
376 "id": 0,
377 "name": "string",
378 "code": "string",
379 "country": {
380 "createdBy": "string",
381 "lastModifiedBy": "string",
382 "createdDate": "2019-08-24T14:15:22Z",
383 "lastModifiedDate": "2019-08-24T14:15:22Z",
384 "archived": true,
385 "externalId": "string",
386 "id": 0,
387 "name": "string",
388 "code": "string"
389 },
390 "provinceCountryKey": "string"
391 },
392 "cityProvinceCountryKey": "string"
393 },
394 "district": {
395 "createdBy": "string",
396 "lastModifiedBy": "string",
397 "createdDate": "2019-08-24T14:15:22Z",
398 "lastModifiedDate": "2019-08-24T14:15:22Z",
399 "archived": true,
400 "externalId": "string",
401 "id": 0,
402 "name": "string",
403 "city": {
404 "createdBy": "string",
405 "lastModifiedBy": "string",
406 "createdDate": "2019-08-24T14:15:22Z",
407 "lastModifiedDate": "2019-08-24T14:15:22Z",
408 "archived": true,
409 "externalId": "string",
410 "id": 0,
411 "name": "string",
412 "province": {
413 "createdBy": "string",
414 "lastModifiedBy": "string",
415 "createdDate": "2019-08-24T14:15:22Z",
416 "lastModifiedDate": "2019-08-24T14:15:22Z",
417 "archived": true,
418 "externalId": "string",
419 "id": 0,
420 "name": "string",
421 "code": "string",
422 "country": {
423 "createdBy": "string",
424 "lastModifiedBy": "string",
425 "createdDate": "2019-08-24T14:15:22Z",
426 "lastModifiedDate": "2019-08-24T14:15:22Z",
427 "archived": true,
428 "externalId": "string",
429 "id": 0,
430 "name": "string",
431 "code": "string"
432 },
433 "provinceCountryKey": "string"
434 },
435 "cityProvinceCountryKey": "string"
436 }
437 },
438 "cityId": 0,
439 "districtId": 0
440 }
441 },
442 "status": {
443 "createdBy": "string",
444 "lastModifiedBy": "string",
445 "createdDate": "2019-08-24T14:15:22Z",
446 "lastModifiedDate": "2019-08-24T14:15:22Z",
447 "archived": true,
448 "externalId": "string",
449 "id": 0,
450 "priority": 0,
451 "internalId": 0,
452 "pickListCode": "string",
453 "pickListLabel": "string",
454 "label": "string",
455 "cultureId": 0,
456 "labelDtos": [
457 {
458 "createdBy": "string",
459 "lastModifiedBy": "string",
460 "createdDate": "2019-08-24T14:15:22Z",
461 "lastModifiedDate": "2019-08-24T14:15:22Z",
462 "archived": true,
463 "externalId": "string",
464 "id": 0,
465 "cultureId": 0,
466 "value": "string"
467 }
468 ]
469 },
470 "usage": {
471 "createdBy": "string",
472 "lastModifiedBy": "string",
473 "createdDate": "2019-08-24T14:15:22Z",
474 "lastModifiedDate": "2019-08-24T14:15:22Z",
475 "archived": true,
476 "externalId": "string",
477 "id": 0,
478 "priority": 0,
479 "internalId": 0,
480 "pickListCode": "string",
481 "pickListLabel": "string",
482 "label": "string",
483 "cultureId": 0,
484 "labelDtos": [
485 {
486 "createdBy": "string",
487 "lastModifiedBy": "string",
488 "createdDate": "2019-08-24T14:15:22Z",
489 "lastModifiedDate": "2019-08-24T14:15:22Z",
490 "archived": true,
491 "externalId": "string",
492 "id": 0,
493 "cultureId": 0,
494 "value": "string"
495 }
496 ]
497 },
498 "occupanciesDto": [
499 {
500 "createdBy": "string",
501 "lastModifiedBy": "string",
502 "createdDate": "2019-08-24T14:15:22Z",
503 "lastModifiedDate": "2019-08-24T14:15:22Z",
504 "archived": true,
505 "externalId": "string",
506 "id": 0,
507 "priority": 0,
508 "internalId": 0,
509 "pickListCode": "string",
510 "pickListLabel": "string",
511 "label": "string",
512 "cultureId": 0,
513 "labelDtos": [
514 {
515 "createdBy": "string",
516 "lastModifiedBy": "string",
517 "createdDate": "2019-08-24T14:15:22Z",
518 "lastModifiedDate": "2019-08-24T14:15:22Z",
519 "archived": true,
520 "externalId": "string",
521 "id": 0,
522 "cultureId": 0,
523 "value": "string"
524 }
525 ]
526 }
527 ]
528}
Premise - Update Premise¶
HTTP Request
PUT /api/premises/{id}
📋 Description: Updates the details of a specific real estate property within the Nakisa Portfolio Management Suite, allowing users to modify asset information and enhance portfolio analytics.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing updated information for the specified real estate property, including portfolio details, asset attributes, and relevant analytics. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "number": "string",
10 "name": "string",
11 "headPremise": true,
12 "possessionDate": "2019-08-24",
13 "openingDate": "2019-08-24",
14 "closingDate": "2019-08-24",
15 "relocationDate": "2019-08-24",
16 "vacatingDate": "2019-08-24",
17 "expansionDate": "2019-08-24",
18 "statusId": 0,
19 "usageId": 0,
20 "parentPremiseId": 0,
21 "costCenterId": 0,
22 "profitCenterId": 0,
23 "legalEntityId": 0,
24 "occupancyIds": [
25 0
26 ],
27 "locationId": 0,
28 "locationDto": {
29 "createdBy": "string",
30 "lastModifiedBy": "string",
31 "createdDate": "2019-08-24T14:15:22Z",
32 "lastModifiedDate": "2019-08-24T14:15:22Z",
33 "archived": true,
34 "externalId": "string",
35 "id": 0,
36 "number": "string",
37 "name": "string",
38 "storeNumber": "string",
39 "defaultCurrencyId": 0,
40 "defaultMeasureId": 0,
41 "typeId": 0,
42 "qualityId": 0,
43 "propertyTypeId": 0,
44 "categoryId": 0,
45 "statusId": 0,
46 "businessUnitId": 0,
47 "groupIds": [
48 0
49 ],
50 "legalEntityIds": [
51 0
52 ],
53 "defaultCurrency": {
54 "id": 0,
55 "status": "CREATED",
56 "displayId": "string",
57 "erpSystemId": 0,
58 "erpSystemDisplayId": "string",
59 "name": "string",
60 "decimalPoints": 0,
61 "depreciationAreaId": 0
62 },
63 "defaultUnitValue": {
64 "createdBy": "string",
65 "lastModifiedBy": "string",
66 "createdDate": "2019-08-24T14:15:22Z",
67 "lastModifiedDate": "2019-08-24T14:15:22Z",
68 "archived": true,
69 "externalId": "string",
70 "id": 0,
71 "unitId": 0,
72 "unitOfMeasureId": 0,
73 "erpSystemId": 0,
74 "unit": {
75 "createdBy": "string",
76 "lastModifiedBy": "string",
77 "createdDate": "2019-08-24T14:15:22Z",
78 "lastModifiedDate": "2019-08-24T14:15:22Z",
79 "archived": true,
80 "externalId": "string",
81 "id": 0,
82 "priority": 0,
83 "internalId": 0,
84 "pickListCode": "string",
85 "pickListLabel": "string",
86 "label": "string",
87 "cultureId": 0,
88 "labelDtos": [
89 {
90 "createdBy": "string",
91 "lastModifiedBy": "string",
92 "createdDate": "2019-08-24T14:15:22Z",
93 "lastModifiedDate": "2019-08-24T14:15:22Z",
94 "archived": true,
95 "externalId": "string",
96 "id": 0,
97 "cultureId": 0,
98 "value": "string"
99 }
100 ]
101 },
102 "unitOfMeasure": {
103 "id": 0,
104 "status": "CREATED",
105 "displayId": "string",
106 "erpSystemId": 0,
107 "erpSystemDisplayId": "string",
108 "name": "string"
109 }
110 },
111 "type": {
112 "createdBy": "string",
113 "lastModifiedBy": "string",
114 "createdDate": "2019-08-24T14:15:22Z",
115 "lastModifiedDate": "2019-08-24T14:15:22Z",
116 "archived": true,
117 "externalId": "string",
118 "id": 0,
119 "priority": 0,
120 "internalId": 0,
121 "pickListCode": "string",
122 "pickListLabel": "string",
123 "label": "string",
124 "cultureId": 0,
125 "labelDtos": [
126 {
127 "createdBy": "string",
128 "lastModifiedBy": "string",
129 "createdDate": "2019-08-24T14:15:22Z",
130 "lastModifiedDate": "2019-08-24T14:15:22Z",
131 "archived": true,
132 "externalId": "string",
133 "id": 0,
134 "cultureId": 0,
135 "value": "string"
136 }
137 ]
138 },
139 "quality": {
140 "createdBy": "string",
141 "lastModifiedBy": "string",
142 "createdDate": "2019-08-24T14:15:22Z",
143 "lastModifiedDate": "2019-08-24T14:15:22Z",
144 "archived": true,
145 "externalId": "string",
146 "id": 0,
147 "priority": 0,
148 "internalId": 0,
149 "pickListCode": "string",
150 "pickListLabel": "string",
151 "label": "string",
152 "cultureId": 0,
153 "labelDtos": [
154 {
155 "createdBy": "string",
156 "lastModifiedBy": "string",
157 "createdDate": "2019-08-24T14:15:22Z",
158 "lastModifiedDate": "2019-08-24T14:15:22Z",
159 "archived": true,
160 "externalId": "string",
161 "id": 0,
162 "cultureId": 0,
163 "value": "string"
164 }
165 ]
166 },
167 "propertyType": {
168 "createdBy": "string",
169 "lastModifiedBy": "string",
170 "createdDate": "2019-08-24T14:15:22Z",
171 "lastModifiedDate": "2019-08-24T14:15:22Z",
172 "archived": true,
173 "externalId": "string",
174 "id": 0,
175 "priority": 0,
176 "internalId": 0,
177 "pickListCode": "string",
178 "pickListLabel": "string",
179 "label": "string",
180 "cultureId": 0,
181 "labelDtos": [
182 {
183 "createdBy": "string",
184 "lastModifiedBy": "string",
185 "createdDate": "2019-08-24T14:15:22Z",
186 "lastModifiedDate": "2019-08-24T14:15:22Z",
187 "archived": true,
188 "externalId": "string",
189 "id": 0,
190 "cultureId": 0,
191 "value": "string"
192 }
193 ]
194 },
195 "category": {
196 "createdBy": "string",
197 "lastModifiedBy": "string",
198 "createdDate": "2019-08-24T14:15:22Z",
199 "lastModifiedDate": "2019-08-24T14:15:22Z",
200 "archived": true,
201 "externalId": "string",
202 "id": 0,
203 "priority": 0,
204 "internalId": 0,
205 "pickListCode": "string",
206 "pickListLabel": "string",
207 "label": "string",
208 "cultureId": 0,
209 "labelDtos": [
210 {
211 "createdBy": "string",
212 "lastModifiedBy": "string",
213 "createdDate": "2019-08-24T14:15:22Z",
214 "lastModifiedDate": "2019-08-24T14:15:22Z",
215 "archived": true,
216 "externalId": "string",
217 "id": 0,
218 "cultureId": 0,
219 "value": "string"
220 }
221 ]
222 },
223 "status": {
224 "createdBy": "string",
225 "lastModifiedBy": "string",
226 "createdDate": "2019-08-24T14:15:22Z",
227 "lastModifiedDate": "2019-08-24T14:15:22Z",
228 "archived": true,
229 "externalId": "string",
230 "id": 0,
231 "priority": 0,
232 "internalId": 0,
233 "pickListCode": "string",
234 "pickListLabel": "string",
235 "label": "string",
236 "cultureId": 0,
237 "labelDtos": [
238 {
239 "createdBy": "string",
240 "lastModifiedBy": "string",
241 "createdDate": "2019-08-24T14:15:22Z",
242 "lastModifiedDate": "2019-08-24T14:15:22Z",
243 "archived": true,
244 "externalId": "string",
245 "id": 0,
246 "cultureId": 0,
247 "value": "string"
248 }
249 ]
250 },
251 "addressDto": {
252 "createdBy": "string",
253 "lastModifiedBy": "string",
254 "createdDate": "2019-08-24T14:15:22Z",
255 "lastModifiedDate": "2019-08-24T14:15:22Z",
256 "archived": true,
257 "externalId": "string",
258 "id": 0,
259 "street": "string",
260 "civicNumber": "string",
261 "suite": "string",
262 "postalCode": "string",
263 "lon": 0.1,
264 "lat": 0.1,
265 "city": {
266 "createdBy": "string",
267 "lastModifiedBy": "string",
268 "createdDate": "2019-08-24T14:15:22Z",
269 "lastModifiedDate": "2019-08-24T14:15:22Z",
270 "archived": true,
271 "externalId": "string",
272 "id": 0,
273 "name": "string",
274 "province": {
275 "createdBy": "string",
276 "lastModifiedBy": "string",
277 "createdDate": "2019-08-24T14:15:22Z",
278 "lastModifiedDate": "2019-08-24T14:15:22Z",
279 "archived": true,
280 "externalId": "string",
281 "id": 0,
282 "name": "string",
283 "code": "string",
284 "country": {
285 "createdBy": "string",
286 "lastModifiedBy": "string",
287 "createdDate": "2019-08-24T14:15:22Z",
288 "lastModifiedDate": "2019-08-24T14:15:22Z",
289 "archived": true,
290 "externalId": "string",
291 "id": 0,
292 "name": "string",
293 "code": "string"
294 },
295 "provinceCountryKey": "string"
296 },
297 "cityProvinceCountryKey": "string"
298 },
299 "district": {
300 "createdBy": "string",
301 "lastModifiedBy": "string",
302 "createdDate": "2019-08-24T14:15:22Z",
303 "lastModifiedDate": "2019-08-24T14:15:22Z",
304 "archived": true,
305 "externalId": "string",
306 "id": 0,
307 "name": "string",
308 "city": {
309 "createdBy": "string",
310 "lastModifiedBy": "string",
311 "createdDate": "2019-08-24T14:15:22Z",
312 "lastModifiedDate": "2019-08-24T14:15:22Z",
313 "archived": true,
314 "externalId": "string",
315 "id": 0,
316 "name": "string",
317 "province": {
318 "createdBy": "string",
319 "lastModifiedBy": "string",
320 "createdDate": "2019-08-24T14:15:22Z",
321 "lastModifiedDate": "2019-08-24T14:15:22Z",
322 "archived": true,
323 "externalId": "string",
324 "id": 0,
325 "name": "string",
326 "code": "string",
327 "country": {
328 "createdBy": "string",
329 "lastModifiedBy": "string",
330 "createdDate": "2019-08-24T14:15:22Z",
331 "lastModifiedDate": "2019-08-24T14:15:22Z",
332 "archived": true,
333 "externalId": "string",
334 "id": 0,
335 "name": "string",
336 "code": "string"
337 },
338 "provinceCountryKey": "string"
339 },
340 "cityProvinceCountryKey": "string"
341 }
342 },
343 "cityId": 0,
344 "districtId": 0
345 },
346 "secondAddressDto": {
347 "createdBy": "string",
348 "lastModifiedBy": "string",
349 "createdDate": "2019-08-24T14:15:22Z",
350 "lastModifiedDate": "2019-08-24T14:15:22Z",
351 "archived": true,
352 "externalId": "string",
353 "id": 0,
354 "street": "string",
355 "civicNumber": "string",
356 "suite": "string",
357 "postalCode": "string",
358 "lon": 0.1,
359 "lat": 0.1,
360 "city": {
361 "createdBy": "string",
362 "lastModifiedBy": "string",
363 "createdDate": "2019-08-24T14:15:22Z",
364 "lastModifiedDate": "2019-08-24T14:15:22Z",
365 "archived": true,
366 "externalId": "string",
367 "id": 0,
368 "name": "string",
369 "province": {
370 "createdBy": "string",
371 "lastModifiedBy": "string",
372 "createdDate": "2019-08-24T14:15:22Z",
373 "lastModifiedDate": "2019-08-24T14:15:22Z",
374 "archived": true,
375 "externalId": "string",
376 "id": 0,
377 "name": "string",
378 "code": "string",
379 "country": {
380 "createdBy": "string",
381 "lastModifiedBy": "string",
382 "createdDate": "2019-08-24T14:15:22Z",
383 "lastModifiedDate": "2019-08-24T14:15:22Z",
384 "archived": true,
385 "externalId": "string",
386 "id": 0,
387 "name": "string",
388 "code": "string"
389 },
390 "provinceCountryKey": "string"
391 },
392 "cityProvinceCountryKey": "string"
393 },
394 "district": {
395 "createdBy": "string",
396 "lastModifiedBy": "string",
397 "createdDate": "2019-08-24T14:15:22Z",
398 "lastModifiedDate": "2019-08-24T14:15:22Z",
399 "archived": true,
400 "externalId": "string",
401 "id": 0,
402 "name": "string",
403 "city": {
404 "createdBy": "string",
405 "lastModifiedBy": "string",
406 "createdDate": "2019-08-24T14:15:22Z",
407 "lastModifiedDate": "2019-08-24T14:15:22Z",
408 "archived": true,
409 "externalId": "string",
410 "id": 0,
411 "name": "string",
412 "province": {
413 "createdBy": "string",
414 "lastModifiedBy": "string",
415 "createdDate": "2019-08-24T14:15:22Z",
416 "lastModifiedDate": "2019-08-24T14:15:22Z",
417 "archived": true,
418 "externalId": "string",
419 "id": 0,
420 "name": "string",
421 "code": "string",
422 "country": {
423 "createdBy": "string",
424 "lastModifiedBy": "string",
425 "createdDate": "2019-08-24T14:15:22Z",
426 "lastModifiedDate": "2019-08-24T14:15:22Z",
427 "archived": true,
428 "externalId": "string",
429 "id": 0,
430 "name": "string",
431 "code": "string"
432 },
433 "provinceCountryKey": "string"
434 },
435 "cityProvinceCountryKey": "string"
436 }
437 },
438 "cityId": 0,
439 "districtId": 0
440 }
441 },
442 "status": {
443 "createdBy": "string",
444 "lastModifiedBy": "string",
445 "createdDate": "2019-08-24T14:15:22Z",
446 "lastModifiedDate": "2019-08-24T14:15:22Z",
447 "archived": true,
448 "externalId": "string",
449 "id": 0,
450 "priority": 0,
451 "internalId": 0,
452 "pickListCode": "string",
453 "pickListLabel": "string",
454 "label": "string",
455 "cultureId": 0,
456 "labelDtos": [
457 {
458 "createdBy": "string",
459 "lastModifiedBy": "string",
460 "createdDate": "2019-08-24T14:15:22Z",
461 "lastModifiedDate": "2019-08-24T14:15:22Z",
462 "archived": true,
463 "externalId": "string",
464 "id": 0,
465 "cultureId": 0,
466 "value": "string"
467 }
468 ]
469 },
470 "usage": {
471 "createdBy": "string",
472 "lastModifiedBy": "string",
473 "createdDate": "2019-08-24T14:15:22Z",
474 "lastModifiedDate": "2019-08-24T14:15:22Z",
475 "archived": true,
476 "externalId": "string",
477 "id": 0,
478 "priority": 0,
479 "internalId": 0,
480 "pickListCode": "string",
481 "pickListLabel": "string",
482 "label": "string",
483 "cultureId": 0,
484 "labelDtos": [
485 {
486 "createdBy": "string",
487 "lastModifiedBy": "string",
488 "createdDate": "2019-08-24T14:15:22Z",
489 "lastModifiedDate": "2019-08-24T14:15:22Z",
490 "archived": true,
491 "externalId": "string",
492 "id": 0,
493 "cultureId": 0,
494 "value": "string"
495 }
496 ]
497 },
498 "occupanciesDto": [
499 {
500 "createdBy": "string",
501 "lastModifiedBy": "string",
502 "createdDate": "2019-08-24T14:15:22Z",
503 "lastModifiedDate": "2019-08-24T14:15:22Z",
504 "archived": true,
505 "externalId": "string",
506 "id": 0,
507 "priority": 0,
508 "internalId": 0,
509 "pickListCode": "string",
510 "pickListLabel": "string",
511 "label": "string",
512 "cultureId": 0,
513 "labelDtos": [
514 {
515 "createdBy": "string",
516 "lastModifiedBy": "string",
517 "createdDate": "2019-08-24T14:15:22Z",
518 "lastModifiedDate": "2019-08-24T14:15:22Z",
519 "archived": true,
520 "externalId": "string",
521 "id": 0,
522 "cultureId": 0,
523 "value": "string"
524 }
525 ]
526 }
527 ]
528}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "number": "string",
10 "name": "string",
11 "headPremise": true,
12 "possessionDate": "2019-08-24",
13 "openingDate": "2019-08-24",
14 "closingDate": "2019-08-24",
15 "relocationDate": "2019-08-24",
16 "vacatingDate": "2019-08-24",
17 "expansionDate": "2019-08-24",
18 "statusId": 0,
19 "usageId": 0,
20 "parentPremiseId": 0,
21 "costCenterId": 0,
22 "profitCenterId": 0,
23 "legalEntityId": 0,
24 "occupancyIds": [
25 0
26 ],
27 "locationId": 0,
28 "locationDto": {
29 "createdBy": "string",
30 "lastModifiedBy": "string",
31 "createdDate": "2019-08-24T14:15:22Z",
32 "lastModifiedDate": "2019-08-24T14:15:22Z",
33 "archived": true,
34 "externalId": "string",
35 "id": 0,
36 "number": "string",
37 "name": "string",
38 "storeNumber": "string",
39 "defaultCurrencyId": 0,
40 "defaultMeasureId": 0,
41 "typeId": 0,
42 "qualityId": 0,
43 "propertyTypeId": 0,
44 "categoryId": 0,
45 "statusId": 0,
46 "businessUnitId": 0,
47 "groupIds": [
48 0
49 ],
50 "legalEntityIds": [
51 0
52 ],
53 "defaultCurrency": {
54 "id": 0,
55 "status": "CREATED",
56 "displayId": "string",
57 "erpSystemId": 0,
58 "erpSystemDisplayId": "string",
59 "name": "string",
60 "decimalPoints": 0,
61 "depreciationAreaId": 0
62 },
63 "defaultUnitValue": {
64 "createdBy": "string",
65 "lastModifiedBy": "string",
66 "createdDate": "2019-08-24T14:15:22Z",
67 "lastModifiedDate": "2019-08-24T14:15:22Z",
68 "archived": true,
69 "externalId": "string",
70 "id": 0,
71 "unitId": 0,
72 "unitOfMeasureId": 0,
73 "erpSystemId": 0,
74 "unit": {
75 "createdBy": "string",
76 "lastModifiedBy": "string",
77 "createdDate": "2019-08-24T14:15:22Z",
78 "lastModifiedDate": "2019-08-24T14:15:22Z",
79 "archived": true,
80 "externalId": "string",
81 "id": 0,
82 "priority": 0,
83 "internalId": 0,
84 "pickListCode": "string",
85 "pickListLabel": "string",
86 "label": "string",
87 "cultureId": 0,
88 "labelDtos": [
89 {
90 "createdBy": "string",
91 "lastModifiedBy": "string",
92 "createdDate": "2019-08-24T14:15:22Z",
93 "lastModifiedDate": "2019-08-24T14:15:22Z",
94 "archived": true,
95 "externalId": "string",
96 "id": 0,
97 "cultureId": 0,
98 "value": "string"
99 }
100 ]
101 },
102 "unitOfMeasure": {
103 "id": 0,
104 "status": "CREATED",
105 "displayId": "string",
106 "erpSystemId": 0,
107 "erpSystemDisplayId": "string",
108 "name": "string"
109 }
110 },
111 "type": {
112 "createdBy": "string",
113 "lastModifiedBy": "string",
114 "createdDate": "2019-08-24T14:15:22Z",
115 "lastModifiedDate": "2019-08-24T14:15:22Z",
116 "archived": true,
117 "externalId": "string",
118 "id": 0,
119 "priority": 0,
120 "internalId": 0,
121 "pickListCode": "string",
122 "pickListLabel": "string",
123 "label": "string",
124 "cultureId": 0,
125 "labelDtos": [
126 {
127 "createdBy": "string",
128 "lastModifiedBy": "string",
129 "createdDate": "2019-08-24T14:15:22Z",
130 "lastModifiedDate": "2019-08-24T14:15:22Z",
131 "archived": true,
132 "externalId": "string",
133 "id": 0,
134 "cultureId": 0,
135 "value": "string"
136 }
137 ]
138 },
139 "quality": {
140 "createdBy": "string",
141 "lastModifiedBy": "string",
142 "createdDate": "2019-08-24T14:15:22Z",
143 "lastModifiedDate": "2019-08-24T14:15:22Z",
144 "archived": true,
145 "externalId": "string",
146 "id": 0,
147 "priority": 0,
148 "internalId": 0,
149 "pickListCode": "string",
150 "pickListLabel": "string",
151 "label": "string",
152 "cultureId": 0,
153 "labelDtos": [
154 {
155 "createdBy": "string",
156 "lastModifiedBy": "string",
157 "createdDate": "2019-08-24T14:15:22Z",
158 "lastModifiedDate": "2019-08-24T14:15:22Z",
159 "archived": true,
160 "externalId": "string",
161 "id": 0,
162 "cultureId": 0,
163 "value": "string"
164 }
165 ]
166 },
167 "propertyType": {
168 "createdBy": "string",
169 "lastModifiedBy": "string",
170 "createdDate": "2019-08-24T14:15:22Z",
171 "lastModifiedDate": "2019-08-24T14:15:22Z",
172 "archived": true,
173 "externalId": "string",
174 "id": 0,
175 "priority": 0,
176 "internalId": 0,
177 "pickListCode": "string",
178 "pickListLabel": "string",
179 "label": "string",
180 "cultureId": 0,
181 "labelDtos": [
182 {
183 "createdBy": "string",
184 "lastModifiedBy": "string",
185 "createdDate": "2019-08-24T14:15:22Z",
186 "lastModifiedDate": "2019-08-24T14:15:22Z",
187 "archived": true,
188 "externalId": "string",
189 "id": 0,
190 "cultureId": 0,
191 "value": "string"
192 }
193 ]
194 },
195 "category": {
196 "createdBy": "string",
197 "lastModifiedBy": "string",
198 "createdDate": "2019-08-24T14:15:22Z",
199 "lastModifiedDate": "2019-08-24T14:15:22Z",
200 "archived": true,
201 "externalId": "string",
202 "id": 0,
203 "priority": 0,
204 "internalId": 0,
205 "pickListCode": "string",
206 "pickListLabel": "string",
207 "label": "string",
208 "cultureId": 0,
209 "labelDtos": [
210 {
211 "createdBy": "string",
212 "lastModifiedBy": "string",
213 "createdDate": "2019-08-24T14:15:22Z",
214 "lastModifiedDate": "2019-08-24T14:15:22Z",
215 "archived": true,
216 "externalId": "string",
217 "id": 0,
218 "cultureId": 0,
219 "value": "string"
220 }
221 ]
222 },
223 "status": {
224 "createdBy": "string",
225 "lastModifiedBy": "string",
226 "createdDate": "2019-08-24T14:15:22Z",
227 "lastModifiedDate": "2019-08-24T14:15:22Z",
228 "archived": true,
229 "externalId": "string",
230 "id": 0,
231 "priority": 0,
232 "internalId": 0,
233 "pickListCode": "string",
234 "pickListLabel": "string",
235 "label": "string",
236 "cultureId": 0,
237 "labelDtos": [
238 {
239 "createdBy": "string",
240 "lastModifiedBy": "string",
241 "createdDate": "2019-08-24T14:15:22Z",
242 "lastModifiedDate": "2019-08-24T14:15:22Z",
243 "archived": true,
244 "externalId": "string",
245 "id": 0,
246 "cultureId": 0,
247 "value": "string"
248 }
249 ]
250 },
251 "addressDto": {
252 "createdBy": "string",
253 "lastModifiedBy": "string",
254 "createdDate": "2019-08-24T14:15:22Z",
255 "lastModifiedDate": "2019-08-24T14:15:22Z",
256 "archived": true,
257 "externalId": "string",
258 "id": 0,
259 "street": "string",
260 "civicNumber": "string",
261 "suite": "string",
262 "postalCode": "string",
263 "lon": 0.1,
264 "lat": 0.1,
265 "city": {
266 "createdBy": "string",
267 "lastModifiedBy": "string",
268 "createdDate": "2019-08-24T14:15:22Z",
269 "lastModifiedDate": "2019-08-24T14:15:22Z",
270 "archived": true,
271 "externalId": "string",
272 "id": 0,
273 "name": "string",
274 "province": {
275 "createdBy": "string",
276 "lastModifiedBy": "string",
277 "createdDate": "2019-08-24T14:15:22Z",
278 "lastModifiedDate": "2019-08-24T14:15:22Z",
279 "archived": true,
280 "externalId": "string",
281 "id": 0,
282 "name": "string",
283 "code": "string",
284 "country": {
285 "createdBy": "string",
286 "lastModifiedBy": "string",
287 "createdDate": "2019-08-24T14:15:22Z",
288 "lastModifiedDate": "2019-08-24T14:15:22Z",
289 "archived": true,
290 "externalId": "string",
291 "id": 0,
292 "name": "string",
293 "code": "string"
294 },
295 "provinceCountryKey": "string"
296 },
297 "cityProvinceCountryKey": "string"
298 },
299 "district": {
300 "createdBy": "string",
301 "lastModifiedBy": "string",
302 "createdDate": "2019-08-24T14:15:22Z",
303 "lastModifiedDate": "2019-08-24T14:15:22Z",
304 "archived": true,
305 "externalId": "string",
306 "id": 0,
307 "name": "string",
308 "city": {
309 "createdBy": "string",
310 "lastModifiedBy": "string",
311 "createdDate": "2019-08-24T14:15:22Z",
312 "lastModifiedDate": "2019-08-24T14:15:22Z",
313 "archived": true,
314 "externalId": "string",
315 "id": 0,
316 "name": "string",
317 "province": {
318 "createdBy": "string",
319 "lastModifiedBy": "string",
320 "createdDate": "2019-08-24T14:15:22Z",
321 "lastModifiedDate": "2019-08-24T14:15:22Z",
322 "archived": true,
323 "externalId": "string",
324 "id": 0,
325 "name": "string",
326 "code": "string",
327 "country": {
328 "createdBy": "string",
329 "lastModifiedBy": "string",
330 "createdDate": "2019-08-24T14:15:22Z",
331 "lastModifiedDate": "2019-08-24T14:15:22Z",
332 "archived": true,
333 "externalId": "string",
334 "id": 0,
335 "name": "string",
336 "code": "string"
337 },
338 "provinceCountryKey": "string"
339 },
340 "cityProvinceCountryKey": "string"
341 }
342 },
343 "cityId": 0,
344 "districtId": 0
345 },
346 "secondAddressDto": {
347 "createdBy": "string",
348 "lastModifiedBy": "string",
349 "createdDate": "2019-08-24T14:15:22Z",
350 "lastModifiedDate": "2019-08-24T14:15:22Z",
351 "archived": true,
352 "externalId": "string",
353 "id": 0,
354 "street": "string",
355 "civicNumber": "string",
356 "suite": "string",
357 "postalCode": "string",
358 "lon": 0.1,
359 "lat": 0.1,
360 "city": {
361 "createdBy": "string",
362 "lastModifiedBy": "string",
363 "createdDate": "2019-08-24T14:15:22Z",
364 "lastModifiedDate": "2019-08-24T14:15:22Z",
365 "archived": true,
366 "externalId": "string",
367 "id": 0,
368 "name": "string",
369 "province": {
370 "createdBy": "string",
371 "lastModifiedBy": "string",
372 "createdDate": "2019-08-24T14:15:22Z",
373 "lastModifiedDate": "2019-08-24T14:15:22Z",
374 "archived": true,
375 "externalId": "string",
376 "id": 0,
377 "name": "string",
378 "code": "string",
379 "country": {
380 "createdBy": "string",
381 "lastModifiedBy": "string",
382 "createdDate": "2019-08-24T14:15:22Z",
383 "lastModifiedDate": "2019-08-24T14:15:22Z",
384 "archived": true,
385 "externalId": "string",
386 "id": 0,
387 "name": "string",
388 "code": "string"
389 },
390 "provinceCountryKey": "string"
391 },
392 "cityProvinceCountryKey": "string"
393 },
394 "district": {
395 "createdBy": "string",
396 "lastModifiedBy": "string",
397 "createdDate": "2019-08-24T14:15:22Z",
398 "lastModifiedDate": "2019-08-24T14:15:22Z",
399 "archived": true,
400 "externalId": "string",
401 "id": 0,
402 "name": "string",
403 "city": {
404 "createdBy": "string",
405 "lastModifiedBy": "string",
406 "createdDate": "2019-08-24T14:15:22Z",
407 "lastModifiedDate": "2019-08-24T14:15:22Z",
408 "archived": true,
409 "externalId": "string",
410 "id": 0,
411 "name": "string",
412 "province": {
413 "createdBy": "string",
414 "lastModifiedBy": "string",
415 "createdDate": "2019-08-24T14:15:22Z",
416 "lastModifiedDate": "2019-08-24T14:15:22Z",
417 "archived": true,
418 "externalId": "string",
419 "id": 0,
420 "name": "string",
421 "code": "string",
422 "country": {
423 "createdBy": "string",
424 "lastModifiedBy": "string",
425 "createdDate": "2019-08-24T14:15:22Z",
426 "lastModifiedDate": "2019-08-24T14:15:22Z",
427 "archived": true,
428 "externalId": "string",
429 "id": 0,
430 "name": "string",
431 "code": "string"
432 },
433 "provinceCountryKey": "string"
434 },
435 "cityProvinceCountryKey": "string"
436 }
437 },
438 "cityId": 0,
439 "districtId": 0
440 }
441 },
442 "status": {
443 "createdBy": "string",
444 "lastModifiedBy": "string",
445 "createdDate": "2019-08-24T14:15:22Z",
446 "lastModifiedDate": "2019-08-24T14:15:22Z",
447 "archived": true,
448 "externalId": "string",
449 "id": 0,
450 "priority": 0,
451 "internalId": 0,
452 "pickListCode": "string",
453 "pickListLabel": "string",
454 "label": "string",
455 "cultureId": 0,
456 "labelDtos": [
457 {
458 "createdBy": "string",
459 "lastModifiedBy": "string",
460 "createdDate": "2019-08-24T14:15:22Z",
461 "lastModifiedDate": "2019-08-24T14:15:22Z",
462 "archived": true,
463 "externalId": "string",
464 "id": 0,
465 "cultureId": 0,
466 "value": "string"
467 }
468 ]
469 },
470 "usage": {
471 "createdBy": "string",
472 "lastModifiedBy": "string",
473 "createdDate": "2019-08-24T14:15:22Z",
474 "lastModifiedDate": "2019-08-24T14:15:22Z",
475 "archived": true,
476 "externalId": "string",
477 "id": 0,
478 "priority": 0,
479 "internalId": 0,
480 "pickListCode": "string",
481 "pickListLabel": "string",
482 "label": "string",
483 "cultureId": 0,
484 "labelDtos": [
485 {
486 "createdBy": "string",
487 "lastModifiedBy": "string",
488 "createdDate": "2019-08-24T14:15:22Z",
489 "lastModifiedDate": "2019-08-24T14:15:22Z",
490 "archived": true,
491 "externalId": "string",
492 "id": 0,
493 "cultureId": 0,
494 "value": "string"
495 }
496 ]
497 },
498 "occupanciesDto": [
499 {
500 "createdBy": "string",
501 "lastModifiedBy": "string",
502 "createdDate": "2019-08-24T14:15:22Z",
503 "lastModifiedDate": "2019-08-24T14:15:22Z",
504 "archived": true,
505 "externalId": "string",
506 "id": 0,
507 "priority": 0,
508 "internalId": 0,
509 "pickListCode": "string",
510 "pickListLabel": "string",
511 "label": "string",
512 "cultureId": 0,
513 "labelDtos": [
514 {
515 "createdBy": "string",
516 "lastModifiedBy": "string",
517 "createdDate": "2019-08-24T14:15:22Z",
518 "lastModifiedDate": "2019-08-24T14:15:22Z",
519 "archived": true,
520 "externalId": "string",
521 "id": 0,
522 "cultureId": 0,
523 "value": "string"
524 }
525 ]
526 }
527 ]
528}
Premise - Delete Premise¶
HTTP Request
DELETE /api/premises/{id}
📋 Description: Deletes a specified real estate property from the portfolio, ensuring that asset management and analytics reflect the most current data within the Nakisa Portfolio Management Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
204 |
No Content |
None |
Premise - Get Premise Occupancies¶
HTTP Request
GET /api/premises/{id}/occupancies
📋 Description: Retrieves occupancy data for a specified premise, providing insights into asset utilization within the Nakisa Portfolio Management Suite for effective portfolio and real estate property analytics.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "priority": 0,
11 "internalId": 0,
12 "pickListCode": "string",
13 "pickListLabel": "string",
14 "label": "string",
15 "cultureId": 0,
16 "labelDtos": [
17 {
18 "createdBy": "string",
19 "lastModifiedBy": "string",
20 "createdDate": "2019-08-24T14:15:22Z",
21 "lastModifiedDate": "2019-08-24T14:15:22Z",
22 "archived": true,
23 "externalId": "string",
24 "id": 0,
25 "cultureId": 0,
26 "value": "string"
27 }
28 ]
29 }
30]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing an option within a pick list, utilized for categorizing and managing portfolio assets and analytics in the Nakisa Portfolio Management Suite, particularly in the context of real estate property management.] |
|
» createdBy |
string |
false |
none |
Username of who created this resource |
» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
» createdDate |
string(date-time) |
false |
none |
Date of the created |
» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
» externalId |
string |
false |
none |
Unique identifier for the external |
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» priority |
integer(int64) |
false |
none |
Priority of the resource |
» internalId |
integer(int64) |
false |
none |
Unique identifier for the internal |
» pickListCode |
string |
false |
none |
Code for the pick list |
» pickListLabel |
string |
false |
none |
Label for the pick list |
» label |
string |
false |
none |
Label for the resource |
» cultureId |
integer(int64) |
false |
none |
Unique identifier for the culture |
» labelDtos |
false |
none |
List of labelDtos items |
|
»» createdBy |
string |
false |
none |
Username of who created this resource |
»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»» externalId |
string |
false |
none |
Unique identifier for the external |
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» cultureId |
integer(int64) |
false |
none |
Unique identifier for the culture |
»» value |
string |
true |
none |
Represents the descriptive value associated with a portfolio asset, facilitating analytics and insights within the Nakisa Portfolio Management Suite. |
Premise - Create Or Update Premise Occupancies¶
HTTP Request
PUT /api/premises/{id}/occupancies
📋 Description: Updates the occupancy details for a specified premise within the Nakisa Portfolio Management Suite, enabling enhanced management of real estate assets and analytics related to portfolio performance.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing updated occupancy data for the specified real estate property, including metrics for portfolio analysis and asset management. |
Body Parameters
1[
2 {
3 "id": 0
4 }
5]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
201 |
Created |
Inline |
Example Responses
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "priority": 0,
11 "internalId": 0,
12 "pickListCode": "string",
13 "pickListLabel": "string",
14 "label": "string",
15 "cultureId": 0,
16 "labelDtos": [
17 {
18 "createdBy": "string",
19 "lastModifiedBy": "string",
20 "createdDate": "2019-08-24T14:15:22Z",
21 "lastModifiedDate": "2019-08-24T14:15:22Z",
22 "archived": true,
23 "externalId": "string",
24 "id": 0,
25 "cultureId": 0,
26 "value": "string"
27 }
28 ]
29 }
30]
Response Schema
Status Code 201
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing an option within a pick list, utilized for categorizing and managing portfolio assets and analytics in the Nakisa Portfolio Management Suite, particularly in the context of real estate property management.] |
|
» createdBy |
string |
false |
none |
Username of who created this resource |
» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
» createdDate |
string(date-time) |
false |
none |
Date of the created |
» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
» externalId |
string |
false |
none |
Unique identifier for the external |
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» priority |
integer(int64) |
false |
none |
Priority of the resource |
» internalId |
integer(int64) |
false |
none |
Unique identifier for the internal |
» pickListCode |
string |
false |
none |
Code for the pick list |
» pickListLabel |
string |
false |
none |
Label for the pick list |
» label |
string |
false |
none |
Label for the resource |
» cultureId |
integer(int64) |
false |
none |
Unique identifier for the culture |
» labelDtos |
false |
none |
List of labelDtos items |
|
»» createdBy |
string |
false |
none |
Username of who created this resource |
»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»» externalId |
string |
false |
none |
Unique identifier for the external |
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» cultureId |
integer(int64) |
false |
none |
Unique identifier for the culture |
»» value |
string |
true |
none |
Represents the descriptive value associated with a portfolio asset, facilitating analytics and insights within the Nakisa Portfolio Management Suite. |
Premise - Get Premise Groups¶
HTTP Request
GET /api/premises/{id}/groups
📋 Description: Retrieves a list of groups associated with a specific premise, enabling users to analyze and manage portfolio and asset relationships within the Nakisa Portfolio Management Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "priority": 0,
11 "internalId": 0,
12 "pickListCode": "string",
13 "pickListLabel": "string",
14 "label": "string",
15 "cultureId": 0,
16 "labelDtos": [
17 {
18 "createdBy": "string",
19 "lastModifiedBy": "string",
20 "createdDate": "2019-08-24T14:15:22Z",
21 "lastModifiedDate": "2019-08-24T14:15:22Z",
22 "archived": true,
23 "externalId": "string",
24 "id": 0,
25 "cultureId": 0,
26 "value": "string"
27 }
28 ]
29 }
30]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing an option within a pick list, utilized for categorizing and managing portfolio assets and analytics in the Nakisa Portfolio Management Suite, particularly in the context of real estate property management.] |
|
» createdBy |
string |
false |
none |
Username of who created this resource |
» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
» createdDate |
string(date-time) |
false |
none |
Date of the created |
» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
» externalId |
string |
false |
none |
Unique identifier for the external |
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» priority |
integer(int64) |
false |
none |
Priority of the resource |
» internalId |
integer(int64) |
false |
none |
Unique identifier for the internal |
» pickListCode |
string |
false |
none |
Code for the pick list |
» pickListLabel |
string |
false |
none |
Label for the pick list |
» label |
string |
false |
none |
Label for the resource |
» cultureId |
integer(int64) |
false |
none |
Unique identifier for the culture |
» labelDtos |
false |
none |
List of labelDtos items |
|
»» createdBy |
string |
false |
none |
Username of who created this resource |
»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»» externalId |
string |
false |
none |
Unique identifier for the external |
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» cultureId |
integer(int64) |
false |
none |
Unique identifier for the culture |
»» value |
string |
true |
none |
Represents the descriptive value associated with a portfolio asset, facilitating analytics and insights within the Nakisa Portfolio Management Suite. |
Premise - Create Or Update Premise Groups¶
HTTP Request
PUT /api/premises/{id}/groups
📋 Description: Updates the group associations for a specified premise within the Nakisa Portfolio Management Suite, enabling enhanced portfolio and asset management through streamlined real estate property analytics.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing the group assignment data for the specified premises, including details on portfolio categorization and asset management relevant to real estate property analytics. |
Body Parameters
1[
2 {
3 "id": 0
4 }
5]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
201 |
Created |
Inline |
Example Responses
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "priority": 0,
11 "internalId": 0,
12 "pickListCode": "string",
13 "pickListLabel": "string",
14 "label": "string",
15 "cultureId": 0,
16 "labelDtos": [
17 {
18 "createdBy": "string",
19 "lastModifiedBy": "string",
20 "createdDate": "2019-08-24T14:15:22Z",
21 "lastModifiedDate": "2019-08-24T14:15:22Z",
22 "archived": true,
23 "externalId": "string",
24 "id": 0,
25 "cultureId": 0,
26 "value": "string"
27 }
28 ]
29 }
30]
Response Schema
Status Code 201
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing an option within a pick list, utilized for categorizing and managing portfolio assets and analytics in the Nakisa Portfolio Management Suite, particularly in the context of real estate property management.] |
|
» createdBy |
string |
false |
none |
Username of who created this resource |
» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
» createdDate |
string(date-time) |
false |
none |
Date of the created |
» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
» externalId |
string |
false |
none |
Unique identifier for the external |
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» priority |
integer(int64) |
false |
none |
Priority of the resource |
» internalId |
integer(int64) |
false |
none |
Unique identifier for the internal |
» pickListCode |
string |
false |
none |
Code for the pick list |
» pickListLabel |
string |
false |
none |
Label for the pick list |
» label |
string |
false |
none |
Label for the resource |
» cultureId |
integer(int64) |
false |
none |
Unique identifier for the culture |
» labelDtos |
false |
none |
List of labelDtos items |
|
»» createdBy |
string |
false |
none |
Username of who created this resource |
»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»» externalId |
string |
false |
none |
Unique identifier for the external |
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» cultureId |
integer(int64) |
false |
none |
Unique identifier for the culture |
»» value |
string |
true |
none |
Represents the descriptive value associated with a portfolio asset, facilitating analytics and insights within the Nakisa Portfolio Management Suite. |
Premise - Get Premises¶
HTTP Request
GET /api/premises
📋 Description: Retrieves a list of premises within the Nakisa Portfolio Management Suite, providing insights into real estate properties and their associated assets for enhanced portfolio analytics.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
Indicates whether the results of the premises query should be returned in a paginated format, facilitating efficient data retrieval for portfolio and asset management analytics. |
|
listing |
query |
boolean |
false |
Indicates whether to include detailed listings of real estate properties in the portfolio analytics response. |
search |
query |
string |
false |
Search term used to filter and retrieve specific portfolio, asset, or real estate property data within the Nakisa Portfolio Management Suite. |
city-id |
query |
string |
false |
Unique identifier for the city associated with the premises, enabling targeted portfolio and asset analytics within the Nakisa Portfolio Management Suite. |
province-id |
query |
string |
false |
Unique identifier for the province associated with the premises, facilitating accurate portfolio and asset analytics within the Nakisa Portfolio Management Suite. |
country-id |
query |
string |
false |
Unique identifier for the country associated with the premises, enabling targeted portfolio and asset analytics within the Nakisa Portfolio Management Suite. |
city-id-in |
query |
string |
false |
Unique identifier for the city associated with the premises, enabling targeted portfolio and asset analytics within the Nakisa Portfolio Management Suite. |
province-id-in |
query |
string |
false |
Unique identifier for the province, used to filter real estate property data within the Nakisa Portfolio Management Suite. |
country-id-in |
query |
string |
false |
Unique identifier for the country associated with the premises, used to filter portfolio and asset analytics within the Nakisa Portfolio Management Suite. |
id-in |
query |
string |
false |
Unique identifier for the premises within the Nakisa Portfolio Management Suite, facilitating precise asset and portfolio analytics in real estate management. |
legal-entity-id-in |
query |
string |
false |
Unique identifier for the legal entity associated with the premises, facilitating accurate portfolio and asset analytics within the Nakisa Portfolio Management Suite. |
location-id |
query |
string |
false |
Unique identifier for the specific location within the Nakisa Portfolio Management Suite, used to retrieve detailed information about assets and analytics related to real estate properties. |
location-type-id |
query |
string |
false |
Identifier for the type of location associated with the premises, facilitating targeted portfolio and asset analytics within the Nakisa Portfolio Management Suite. |
location-id-in |
query |
string |
false |
Unique identifier for the specific location within the Nakisa Portfolio Management Suite, used to retrieve detailed information about real estate assets and their associated analytics. |
location-number-like |
query |
string |
false |
Specifies a location number that matches the criteria for retrieving premises data within the Nakisa Portfolio Management Suite, facilitating effective portfolio and asset analytics in real estate management. |
location-external-id |
query |
string |
false |
Unique identifier for the external location associated with a real estate property within the Nakisa Portfolio Management Suite, facilitating accurate portfolio and asset analytics. |
external-id-like |
query |
string |
false |
Specifies a string pattern to filter premises by their external identifiers, facilitating targeted searches within the Nakisa Portfolio Management Suite for portfolio, asset, and real estate property analytics. |
number |
query |
string |
false |
Specifies the unique identifier for a real estate property within the Nakisa Portfolio Management Suite, facilitating accurate portfolio and asset analytics. |
number-like |
query |
string |
false |
Represents a numeric value or identifier related to portfolio assets within the Nakisa Portfolio Management Suite, facilitating analytics and management of real estate properties. |
name |
query |
string |
false |
Name of the resource |
name-like |
query |
string |
false |
Filters the list of premises by matching names that are similar to the specified string, enhancing asset identification within the Nakisa Portfolio Management Suite. |
head-premise |
query |
string |
false |
Specifies the primary premise identifier for retrieving detailed information about real estate assets within the Nakisa Portfolio Management Suite. |
possession-date |
query |
string |
false |
Specifies the date of possession for the real estate property, enabling accurate portfolio and asset analytics within the Nakisa Portfolio Management Suite. |
opening-date |
query |
string |
false |
Specifies the opening date of the premises, enabling users to analyze portfolio performance and asset utilization within the real estate property context. |
closing-date |
query |
string |
false |
Specifies the closing date for the premises, allowing users to filter real estate property data within the Nakisa Portfolio Management Suite for portfolio and asset analytics. |
relocation-date |
query |
string |
false |
Specifies the date for the relocation of assets within the portfolio, enabling accurate analytics and management of real estate properties. |
vacating-date |
query |
string |
false |
Specifies the date on which a real estate property is scheduled to vacate, facilitating portfolio and asset management analytics within the Nakisa Portfolio Management Suite. |
expansion-date |
query |
string |
false |
Specifies the date for which the premises data is being requested, enabling users to analyze portfolio and asset performance within the Nakisa Portfolio Management Suite. |
status-id |
query |
string |
false |
Unique identifier for the status of a premise within the Nakisa Portfolio Management Suite, facilitating effective portfolio and asset analytics in real estate property management. |
status-id-is-not |
query |
string |
false |
none |
status-id-in |
query |
string |
false |
Filters the premises returned by the API based on the specified status identifier, enabling targeted analytics within the Nakisa Portfolio Management Suite for effective portfolio and asset management. |
usage-id |
query |
string |
false |
Unique identifier for the specific usage instance within the Nakisa Portfolio Management Suite, facilitating precise asset and portfolio analytics related to real estate properties. |
parent-premise-id |
query |
string |
false |
Unique identifier for the parent premise, used to filter and retrieve specific asset and portfolio data within the Nakisa Portfolio Management Suite. |
contract-id-not-null |
query |
string |
false |
Unique identifier for the contract associated with a real estate property, ensuring that only valid contracts are retrieved in the portfolio analytics. |
master-agreement-id-in |
query |
string |
false |
Unique identifier for the master agreement associated with the premises, facilitating efficient portfolio and asset management within the Nakisa Portfolio Management Suite. |
business-unit-id-in |
query |
string |
false |
Unique identifier for the business unit, used to filter premises data within the Nakisa Portfolio Management Suite for portfolio, asset, analytics, and real estate property analysis. |
group-id-in |
query |
string |
false |
Unique identifier for the asset group within the Nakisa Portfolio Management Suite, used to filter and retrieve specific premises data related to portfolio and real estate analytics. |
contract-id-in |
query |
string |
false |
Unique identifier for the specific contract associated with a real estate property, used to retrieve relevant portfolio and asset analytics. |
head-premise-opt |
query |
string |
false |
Specifies the head premise option to filter the retrieved premises data, enhancing insights for portfolio and asset management within the Nakisa Portfolio Management Suite. |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "_embedded": {
3 "premises": [
4 {
5 "createdBy": "string",
6 "lastModifiedBy": "string",
7 "createdDate": "2019-08-24T14:15:22Z",
8 "lastModifiedDate": "2019-08-24T14:15:22Z",
9 "archived": true,
10 "externalId": "string",
11 "id": 0,
12 "number": "string",
13 "name": "string",
14 "headPremise": true,
15 "possessionDate": "2019-08-24",
16 "openingDate": "2019-08-24",
17 "closingDate": "2019-08-24",
18 "relocationDate": "2019-08-24",
19 "vacatingDate": "2019-08-24",
20 "expansionDate": "2019-08-24",
21 "statusId": 0,
22 "usageId": 0,
23 "parentPremiseId": 0,
24 "costCenterId": 0,
25 "profitCenterId": 0,
26 "legalEntityId": 0,
27 "occupancyIds": [
28 0
29 ],
30 "locationId": 0,
31 "locationDto": {
32 "createdBy": "string",
33 "lastModifiedBy": "string",
34 "createdDate": "2019-08-24T14:15:22Z",
35 "lastModifiedDate": "2019-08-24T14:15:22Z",
36 "archived": true,
37 "externalId": "string",
38 "id": 0,
39 "number": "string",
40 "name": "string",
41 "storeNumber": "string",
42 "defaultCurrencyId": 0,
43 "defaultMeasureId": 0,
44 "typeId": 0,
45 "qualityId": 0,
46 "propertyTypeId": 0,
47 "categoryId": 0,
48 "statusId": 0,
49 "businessUnitId": 0,
50 "groupIds": [
51 0
52 ],
53 "legalEntityIds": [
54 0
55 ],
56 "defaultCurrency": {
57 "id": 0,
58 "status": "CREATED",
59 "displayId": "string",
60 "erpSystemId": 0,
61 "erpSystemDisplayId": "string",
62 "name": "string",
63 "decimalPoints": 0,
64 "depreciationAreaId": 0
65 },
66 "defaultUnitValue": {
67 "createdBy": "string",
68 "lastModifiedBy": "string",
69 "createdDate": "2019-08-24T14:15:22Z",
70 "lastModifiedDate": "2019-08-24T14:15:22Z",
71 "archived": true,
72 "externalId": "string",
73 "id": 0,
74 "unitId": 0,
75 "unitOfMeasureId": 0,
76 "erpSystemId": 0,
77 "unit": {
78 "createdBy": "string",
79 "lastModifiedBy": "string",
80 "createdDate": "2019-08-24T14:15:22Z",
81 "lastModifiedDate": "2019-08-24T14:15:22Z",
82 "archived": true,
83 "externalId": "string",
84 "id": 0,
85 "priority": 0,
86 "internalId": 0,
87 "pickListCode": "string",
88 "pickListLabel": "string",
89 "label": "string",
90 "cultureId": 0,
91 "labelDtos": [
92 {
93 "createdBy": "string",
94 "lastModifiedBy": "string",
95 "createdDate": "2019-08-24T14:15:22Z",
96 "lastModifiedDate": "2019-08-24T14:15:22Z",
97 "archived": true,
98 "externalId": "string",
99 "id": 0,
100 "cultureId": 0,
101 "value": "string"
102 }
103 ]
104 },
105 "unitOfMeasure": {
106 "id": 0,
107 "status": "CREATED",
108 "displayId": "string",
109 "erpSystemId": 0,
110 "erpSystemDisplayId": "string",
111 "name": "string"
112 }
113 },
114 "type": {
115 "createdBy": "string",
116 "lastModifiedBy": "string",
117 "createdDate": "2019-08-24T14:15:22Z",
118 "lastModifiedDate": "2019-08-24T14:15:22Z",
119 "archived": true,
120 "externalId": "string",
121 "id": 0,
122 "priority": 0,
123 "internalId": 0,
124 "pickListCode": "string",
125 "pickListLabel": "string",
126 "label": "string",
127 "cultureId": 0,
128 "labelDtos": [
129 {
130 "createdBy": "string",
131 "lastModifiedBy": "string",
132 "createdDate": "2019-08-24T14:15:22Z",
133 "lastModifiedDate": "2019-08-24T14:15:22Z",
134 "archived": true,
135 "externalId": "string",
136 "id": 0,
137 "cultureId": 0,
138 "value": "string"
139 }
140 ]
141 },
142 "quality": {
143 "createdBy": "string",
144 "lastModifiedBy": "string",
145 "createdDate": "2019-08-24T14:15:22Z",
146 "lastModifiedDate": "2019-08-24T14:15:22Z",
147 "archived": true,
148 "externalId": "string",
149 "id": 0,
150 "priority": 0,
151 "internalId": 0,
152 "pickListCode": "string",
153 "pickListLabel": "string",
154 "label": "string",
155 "cultureId": 0,
156 "labelDtos": [
157 {
158 "createdBy": "string",
159 "lastModifiedBy": "string",
160 "createdDate": "2019-08-24T14:15:22Z",
161 "lastModifiedDate": "2019-08-24T14:15:22Z",
162 "archived": true,
163 "externalId": "string",
164 "id": 0,
165 "cultureId": 0,
166 "value": "string"
167 }
168 ]
169 },
170 "propertyType": {
171 "createdBy": "string",
172 "lastModifiedBy": "string",
173 "createdDate": "2019-08-24T14:15:22Z",
174 "lastModifiedDate": "2019-08-24T14:15:22Z",
175 "archived": true,
176 "externalId": "string",
177 "id": 0,
178 "priority": 0,
179 "internalId": 0,
180 "pickListCode": "string",
181 "pickListLabel": "string",
182 "label": "string",
183 "cultureId": 0,
184 "labelDtos": [
185 {
186 "createdBy": "string",
187 "lastModifiedBy": "string",
188 "createdDate": "2019-08-24T14:15:22Z",
189 "lastModifiedDate": "2019-08-24T14:15:22Z",
190 "archived": true,
191 "externalId": "string",
192 "id": 0,
193 "cultureId": 0,
194 "value": "string"
195 }
196 ]
197 },
198 "category": {
199 "createdBy": "string",
200 "lastModifiedBy": "string",
201 "createdDate": "2019-08-24T14:15:22Z",
202 "lastModifiedDate": "2019-08-24T14:15:22Z",
203 "archived": true,
204 "externalId": "string",
205 "id": 0,
206 "priority": 0,
207 "internalId": 0,
208 "pickListCode": "string",
209 "pickListLabel": "string",
210 "label": "string",
211 "cultureId": 0,
212 "labelDtos": [
213 {
214 "createdBy": "string",
215 "lastModifiedBy": "string",
216 "createdDate": "2019-08-24T14:15:22Z",
217 "lastModifiedDate": "2019-08-24T14:15:22Z",
218 "archived": true,
219 "externalId": "string",
220 "id": 0,
221 "cultureId": 0,
222 "value": "string"
223 }
224 ]
225 },
226 "status": {
227 "createdBy": "string",
228 "lastModifiedBy": "string",
229 "createdDate": "2019-08-24T14:15:22Z",
230 "lastModifiedDate": "2019-08-24T14:15:22Z",
231 "archived": true,
232 "externalId": "string",
233 "id": 0,
234 "priority": 0,
235 "internalId": 0,
236 "pickListCode": "string",
237 "pickListLabel": "string",
238 "label": "string",
239 "cultureId": 0,
240 "labelDtos": [
241 {
242 "createdBy": "string",
243 "lastModifiedBy": "string",
244 "createdDate": "2019-08-24T14:15:22Z",
245 "lastModifiedDate": "2019-08-24T14:15:22Z",
246 "archived": true,
247 "externalId": "string",
248 "id": 0,
249 "cultureId": 0,
250 "value": "string"
251 }
252 ]
253 },
254 "addressDto": {
255 "createdBy": "string",
256 "lastModifiedBy": "string",
257 "createdDate": "2019-08-24T14:15:22Z",
258 "lastModifiedDate": "2019-08-24T14:15:22Z",
259 "archived": true,
260 "externalId": "string",
261 "id": 0,
262 "street": "string",
263 "civicNumber": "string",
264 "suite": "string",
265 "postalCode": "string",
266 "lon": 0.1,
267 "lat": 0.1,
268 "city": {
269 "createdBy": "string",
270 "lastModifiedBy": "string",
271 "createdDate": "2019-08-24T14:15:22Z",
272 "lastModifiedDate": "2019-08-24T14:15:22Z",
273 "archived": true,
274 "externalId": "string",
275 "id": 0,
276 "name": "string",
277 "province": {
278 "createdBy": "string",
279 "lastModifiedBy": "string",
280 "createdDate": "2019-08-24T14:15:22Z",
281 "lastModifiedDate": "2019-08-24T14:15:22Z",
282 "archived": true,
283 "externalId": "string",
284 "id": 0,
285 "name": "string",
286 "code": "string",
287 "country": {
288 "createdBy": "string",
289 "lastModifiedBy": "string",
290 "createdDate": "2019-08-24T14:15:22Z",
291 "lastModifiedDate": "2019-08-24T14:15:22Z",
292 "archived": true,
293 "externalId": "string",
294 "id": 0,
295 "name": "string",
296 "code": "string"
297 },
298 "provinceCountryKey": "string"
299 },
300 "cityProvinceCountryKey": "string"
301 },
302 "district": {
303 "createdBy": "string",
304 "lastModifiedBy": "string",
305 "createdDate": "2019-08-24T14:15:22Z",
306 "lastModifiedDate": "2019-08-24T14:15:22Z",
307 "archived": true,
308 "externalId": "string",
309 "id": 0,
310 "name": "string",
311 "city": {
312 "createdBy": "string",
313 "lastModifiedBy": "string",
314 "createdDate": "2019-08-24T14:15:22Z",
315 "lastModifiedDate": "2019-08-24T14:15:22Z",
316 "archived": true,
317 "externalId": "string",
318 "id": 0,
319 "name": "string",
320 "province": {
321 "createdBy": "string",
322 "lastModifiedBy": "string",
323 "createdDate": "2019-08-24T14:15:22Z",
324 "lastModifiedDate": "2019-08-24T14:15:22Z",
325 "archived": true,
326 "externalId": "string",
327 "id": 0,
328 "name": "string",
329 "code": "string",
330 "country": {
331 "createdBy": "string",
332 "lastModifiedBy": "string",
333 "createdDate": "2019-08-24T14:15:22Z",
334 "lastModifiedDate": "2019-08-24T14:15:22Z",
335 "archived": true,
336 "externalId": "string",
337 "id": 0,
338 "name": "string",
339 "code": "string"
340 },
341 "provinceCountryKey": "string"
342 },
343 "cityProvinceCountryKey": "string"
344 }
345 },
346 "cityId": 0,
347 "districtId": 0
348 },
349 "secondAddressDto": {
350 "createdBy": "string",
351 "lastModifiedBy": "string",
352 "createdDate": "2019-08-24T14:15:22Z",
353 "lastModifiedDate": "2019-08-24T14:15:22Z",
354 "archived": true,
355 "externalId": "string",
356 "id": 0,
357 "street": "string",
358 "civicNumber": "string",
359 "suite": "string",
360 "postalCode": "string",
361 "lon": 0.1,
362 "lat": 0.1,
363 "city": {
364 "createdBy": "string",
365 "lastModifiedBy": "string",
366 "createdDate": "2019-08-24T14:15:22Z",
367 "lastModifiedDate": "2019-08-24T14:15:22Z",
368 "archived": true,
369 "externalId": "string",
370 "id": 0,
371 "name": "string",
372 "province": {
373 "createdBy": "string",
374 "lastModifiedBy": "string",
375 "createdDate": "2019-08-24T14:15:22Z",
376 "lastModifiedDate": "2019-08-24T14:15:22Z",
377 "archived": true,
378 "externalId": "string",
379 "id": 0,
380 "name": "string",
381 "code": "string",
382 "country": {
383 "createdBy": "string",
384 "lastModifiedBy": "string",
385 "createdDate": "2019-08-24T14:15:22Z",
386 "lastModifiedDate": "2019-08-24T14:15:22Z",
387 "archived": true,
388 "externalId": "string",
389 "id": 0,
390 "name": "string",
391 "code": "string"
392 },
393 "provinceCountryKey": "string"
394 },
395 "cityProvinceCountryKey": "string"
396 },
397 "district": {
398 "createdBy": "string",
399 "lastModifiedBy": "string",
400 "createdDate": "2019-08-24T14:15:22Z",
401 "lastModifiedDate": "2019-08-24T14:15:22Z",
402 "archived": true,
403 "externalId": "string",
404 "id": 0,
405 "name": "string",
406 "city": {
407 "createdBy": "string",
408 "lastModifiedBy": "string",
409 "createdDate": "2019-08-24T14:15:22Z",
410 "lastModifiedDate": "2019-08-24T14:15:22Z",
411 "archived": true,
412 "externalId": "string",
413 "id": 0,
414 "name": "string",
415 "province": {
416 "createdBy": "string",
417 "lastModifiedBy": "string",
418 "createdDate": "2019-08-24T14:15:22Z",
419 "lastModifiedDate": "2019-08-24T14:15:22Z",
420 "archived": true,
421 "externalId": "string",
422 "id": 0,
423 "name": "string",
424 "code": "string",
425 "country": {
426 "createdBy": "string",
427 "lastModifiedBy": "string",
428 "createdDate": "2019-08-24T14:15:22Z",
429 "lastModifiedDate": "2019-08-24T14:15:22Z",
430 "archived": true,
431 "externalId": "string",
432 "id": 0,
433 "name": "string",
434 "code": "string"
435 },
436 "provinceCountryKey": "string"
437 },
438 "cityProvinceCountryKey": "string"
439 }
440 },
441 "cityId": 0,
442 "districtId": 0
443 }
444 },
445 "status": {
446 "createdBy": "string",
447 "lastModifiedBy": "string",
448 "createdDate": "2019-08-24T14:15:22Z",
449 "lastModifiedDate": "2019-08-24T14:15:22Z",
450 "archived": true,
451 "externalId": "string",
452 "id": 0,
453 "priority": 0,
454 "internalId": 0,
455 "pickListCode": "string",
456 "pickListLabel": "string",
457 "label": "string",
458 "cultureId": 0,
459 "labelDtos": [
460 {
461 "createdBy": "string",
462 "lastModifiedBy": "string",
463 "createdDate": "2019-08-24T14:15:22Z",
464 "lastModifiedDate": "2019-08-24T14:15:22Z",
465 "archived": true,
466 "externalId": "string",
467 "id": 0,
468 "cultureId": 0,
469 "value": "string"
470 }
471 ]
472 },
473 "usage": {
474 "createdBy": "string",
475 "lastModifiedBy": "string",
476 "createdDate": "2019-08-24T14:15:22Z",
477 "lastModifiedDate": "2019-08-24T14:15:22Z",
478 "archived": true,
479 "externalId": "string",
480 "id": 0,
481 "priority": 0,
482 "internalId": 0,
483 "pickListCode": "string",
484 "pickListLabel": "string",
485 "label": "string",
486 "cultureId": 0,
487 "labelDtos": [
488 {
489 "createdBy": "string",
490 "lastModifiedBy": "string",
491 "createdDate": "2019-08-24T14:15:22Z",
492 "lastModifiedDate": "2019-08-24T14:15:22Z",
493 "archived": true,
494 "externalId": "string",
495 "id": 0,
496 "cultureId": 0,
497 "value": "string"
498 }
499 ]
500 },
501 "occupanciesDto": [
502 {
503 "createdBy": "string",
504 "lastModifiedBy": "string",
505 "createdDate": "2019-08-24T14:15:22Z",
506 "lastModifiedDate": "2019-08-24T14:15:22Z",
507 "archived": true,
508 "externalId": "string",
509 "id": 0,
510 "priority": 0,
511 "internalId": 0,
512 "pickListCode": "string",
513 "pickListLabel": "string",
514 "label": "string",
515 "cultureId": 0,
516 "labelDtos": [
517 {
518 "createdBy": "string",
519 "lastModifiedBy": "string",
520 "createdDate": "2019-08-24T14:15:22Z",
521 "lastModifiedDate": "2019-08-24T14:15:22Z",
522 "archived": true,
523 "externalId": "string",
524 "id": 0,
525 "cultureId": 0,
526 "value": "string"
527 }
528 ]
529 }
530 ]
531 }
532 ]
533 },
534 "page": {
535 "size": 0,
536 "totalElements": 0,
537 "totalPages": 0,
538 "number": 0
539 }
540}
Premise - Create Premises¶
HTTP Request
POST /api/premises
📋 Description: Creates a new premises entry within the Nakisa Portfolio Management Suite, enabling users to manage real estate properties and associated assets effectively for enhanced portfolio analytics.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing detailed information about the premises, including portfolio identifiers, asset attributes, and relevant analytics for real estate property management. |
Body Parameters
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "number": "string",
11 "name": "string",
12 "headPremise": true,
13 "possessionDate": "2019-08-24",
14 "openingDate": "2019-08-24",
15 "closingDate": "2019-08-24",
16 "relocationDate": "2019-08-24",
17 "vacatingDate": "2019-08-24",
18 "expansionDate": "2019-08-24",
19 "statusId": 0,
20 "usageId": 0,
21 "parentPremiseId": 0,
22 "costCenterId": 0,
23 "profitCenterId": 0,
24 "legalEntityId": 0,
25 "occupancyIds": [
26 0
27 ],
28 "locationId": 0,
29 "locationDto": {
30 "createdBy": "string",
31 "lastModifiedBy": "string",
32 "createdDate": "2019-08-24T14:15:22Z",
33 "lastModifiedDate": "2019-08-24T14:15:22Z",
34 "archived": true,
35 "externalId": "string",
36 "id": 0,
37 "number": "string",
38 "name": "string",
39 "storeNumber": "string",
40 "defaultCurrencyId": 0,
41 "defaultMeasureId": 0,
42 "typeId": 0,
43 "qualityId": 0,
44 "propertyTypeId": 0,
45 "categoryId": 0,
46 "statusId": 0,
47 "businessUnitId": 0,
48 "groupIds": [
49 0
50 ],
51 "legalEntityIds": [
52 0
53 ],
54 "defaultCurrency": {
55 "id": 0,
56 "status": "CREATED",
57 "displayId": "string",
58 "erpSystemId": 0,
59 "erpSystemDisplayId": "string",
60 "name": "string",
61 "decimalPoints": 0,
62 "depreciationAreaId": 0
63 },
64 "defaultUnitValue": {
65 "createdBy": "string",
66 "lastModifiedBy": "string",
67 "createdDate": "2019-08-24T14:15:22Z",
68 "lastModifiedDate": "2019-08-24T14:15:22Z",
69 "archived": true,
70 "externalId": "string",
71 "id": 0,
72 "unitId": 0,
73 "unitOfMeasureId": 0,
74 "erpSystemId": 0,
75 "unit": {
76 "createdBy": "string",
77 "lastModifiedBy": "string",
78 "createdDate": "2019-08-24T14:15:22Z",
79 "lastModifiedDate": "2019-08-24T14:15:22Z",
80 "archived": true,
81 "externalId": "string",
82 "id": 0,
83 "priority": 0,
84 "internalId": 0,
85 "pickListCode": "string",
86 "pickListLabel": "string",
87 "label": "string",
88 "cultureId": 0,
89 "labelDtos": [
90 {
91 "createdBy": "string",
92 "lastModifiedBy": "string",
93 "createdDate": "2019-08-24T14:15:22Z",
94 "lastModifiedDate": "2019-08-24T14:15:22Z",
95 "archived": true,
96 "externalId": "string",
97 "id": 0,
98 "cultureId": 0,
99 "value": "string"
100 }
101 ]
102 },
103 "unitOfMeasure": {
104 "id": 0,
105 "status": "CREATED",
106 "displayId": "string",
107 "erpSystemId": 0,
108 "erpSystemDisplayId": "string",
109 "name": "string"
110 }
111 },
112 "type": {
113 "createdBy": "string",
114 "lastModifiedBy": "string",
115 "createdDate": "2019-08-24T14:15:22Z",
116 "lastModifiedDate": "2019-08-24T14:15:22Z",
117 "archived": true,
118 "externalId": "string",
119 "id": 0,
120 "priority": 0,
121 "internalId": 0,
122 "pickListCode": "string",
123 "pickListLabel": "string",
124 "label": "string",
125 "cultureId": 0,
126 "labelDtos": [
127 {
128 "createdBy": "string",
129 "lastModifiedBy": "string",
130 "createdDate": "2019-08-24T14:15:22Z",
131 "lastModifiedDate": "2019-08-24T14:15:22Z",
132 "archived": true,
133 "externalId": "string",
134 "id": 0,
135 "cultureId": 0,
136 "value": "string"
137 }
138 ]
139 },
140 "quality": {
141 "createdBy": "string",
142 "lastModifiedBy": "string",
143 "createdDate": "2019-08-24T14:15:22Z",
144 "lastModifiedDate": "2019-08-24T14:15:22Z",
145 "archived": true,
146 "externalId": "string",
147 "id": 0,
148 "priority": 0,
149 "internalId": 0,
150 "pickListCode": "string",
151 "pickListLabel": "string",
152 "label": "string",
153 "cultureId": 0,
154 "labelDtos": [
155 {
156 "createdBy": "string",
157 "lastModifiedBy": "string",
158 "createdDate": "2019-08-24T14:15:22Z",
159 "lastModifiedDate": "2019-08-24T14:15:22Z",
160 "archived": true,
161 "externalId": "string",
162 "id": 0,
163 "cultureId": 0,
164 "value": "string"
165 }
166 ]
167 },
168 "propertyType": {
169 "createdBy": "string",
170 "lastModifiedBy": "string",
171 "createdDate": "2019-08-24T14:15:22Z",
172 "lastModifiedDate": "2019-08-24T14:15:22Z",
173 "archived": true,
174 "externalId": "string",
175 "id": 0,
176 "priority": 0,
177 "internalId": 0,
178 "pickListCode": "string",
179 "pickListLabel": "string",
180 "label": "string",
181 "cultureId": 0,
182 "labelDtos": [
183 {
184 "createdBy": "string",
185 "lastModifiedBy": "string",
186 "createdDate": "2019-08-24T14:15:22Z",
187 "lastModifiedDate": "2019-08-24T14:15:22Z",
188 "archived": true,
189 "externalId": "string",
190 "id": 0,
191 "cultureId": 0,
192 "value": "string"
193 }
194 ]
195 },
196 "category": {
197 "createdBy": "string",
198 "lastModifiedBy": "string",
199 "createdDate": "2019-08-24T14:15:22Z",
200 "lastModifiedDate": "2019-08-24T14:15:22Z",
201 "archived": true,
202 "externalId": "string",
203 "id": 0,
204 "priority": 0,
205 "internalId": 0,
206 "pickListCode": "string",
207 "pickListLabel": "string",
208 "label": "string",
209 "cultureId": 0,
210 "labelDtos": [
211 {
212 "createdBy": "string",
213 "lastModifiedBy": "string",
214 "createdDate": "2019-08-24T14:15:22Z",
215 "lastModifiedDate": "2019-08-24T14:15:22Z",
216 "archived": true,
217 "externalId": "string",
218 "id": 0,
219 "cultureId": 0,
220 "value": "string"
221 }
222 ]
223 },
224 "status": {
225 "createdBy": "string",
226 "lastModifiedBy": "string",
227 "createdDate": "2019-08-24T14:15:22Z",
228 "lastModifiedDate": "2019-08-24T14:15:22Z",
229 "archived": true,
230 "externalId": "string",
231 "id": 0,
232 "priority": 0,
233 "internalId": 0,
234 "pickListCode": "string",
235 "pickListLabel": "string",
236 "label": "string",
237 "cultureId": 0,
238 "labelDtos": [
239 {
240 "createdBy": "string",
241 "lastModifiedBy": "string",
242 "createdDate": "2019-08-24T14:15:22Z",
243 "lastModifiedDate": "2019-08-24T14:15:22Z",
244 "archived": true,
245 "externalId": "string",
246 "id": 0,
247 "cultureId": 0,
248 "value": "string"
249 }
250 ]
251 },
252 "addressDto": {
253 "createdBy": "string",
254 "lastModifiedBy": "string",
255 "createdDate": "2019-08-24T14:15:22Z",
256 "lastModifiedDate": "2019-08-24T14:15:22Z",
257 "archived": true,
258 "externalId": "string",
259 "id": 0,
260 "street": "string",
261 "civicNumber": "string",
262 "suite": "string",
263 "postalCode": "string",
264 "lon": 0.1,
265 "lat": 0.1,
266 "city": {
267 "createdBy": "string",
268 "lastModifiedBy": "string",
269 "createdDate": "2019-08-24T14:15:22Z",
270 "lastModifiedDate": "2019-08-24T14:15:22Z",
271 "archived": true,
272 "externalId": "string",
273 "id": 0,
274 "name": "string",
275 "province": {
276 "createdBy": "string",
277 "lastModifiedBy": "string",
278 "createdDate": "2019-08-24T14:15:22Z",
279 "lastModifiedDate": "2019-08-24T14:15:22Z",
280 "archived": true,
281 "externalId": "string",
282 "id": 0,
283 "name": "string",
284 "code": "string",
285 "country": {
286 "createdBy": "string",
287 "lastModifiedBy": "string",
288 "createdDate": "2019-08-24T14:15:22Z",
289 "lastModifiedDate": "2019-08-24T14:15:22Z",
290 "archived": true,
291 "externalId": "string",
292 "id": 0,
293 "name": "string",
294 "code": "string"
295 },
296 "provinceCountryKey": "string"
297 },
298 "cityProvinceCountryKey": "string"
299 },
300 "district": {
301 "createdBy": "string",
302 "lastModifiedBy": "string",
303 "createdDate": "2019-08-24T14:15:22Z",
304 "lastModifiedDate": "2019-08-24T14:15:22Z",
305 "archived": true,
306 "externalId": "string",
307 "id": 0,
308 "name": "string",
309 "city": {
310 "createdBy": "string",
311 "lastModifiedBy": "string",
312 "createdDate": "2019-08-24T14:15:22Z",
313 "lastModifiedDate": "2019-08-24T14:15:22Z",
314 "archived": true,
315 "externalId": "string",
316 "id": 0,
317 "name": "string",
318 "province": {
319 "createdBy": "string",
320 "lastModifiedBy": "string",
321 "createdDate": "2019-08-24T14:15:22Z",
322 "lastModifiedDate": "2019-08-24T14:15:22Z",
323 "archived": true,
324 "externalId": "string",
325 "id": 0,
326 "name": "string",
327 "code": "string",
328 "country": {
329 "createdBy": "string",
330 "lastModifiedBy": "string",
331 "createdDate": "2019-08-24T14:15:22Z",
332 "lastModifiedDate": "2019-08-24T14:15:22Z",
333 "archived": true,
334 "externalId": "string",
335 "id": 0,
336 "name": "string",
337 "code": "string"
338 },
339 "provinceCountryKey": "string"
340 },
341 "cityProvinceCountryKey": "string"
342 }
343 },
344 "cityId": 0,
345 "districtId": 0
346 },
347 "secondAddressDto": {
348 "createdBy": "string",
349 "lastModifiedBy": "string",
350 "createdDate": "2019-08-24T14:15:22Z",
351 "lastModifiedDate": "2019-08-24T14:15:22Z",
352 "archived": true,
353 "externalId": "string",
354 "id": 0,
355 "street": "string",
356 "civicNumber": "string",
357 "suite": "string",
358 "postalCode": "string",
359 "lon": 0.1,
360 "lat": 0.1,
361 "city": {
362 "createdBy": "string",
363 "lastModifiedBy": "string",
364 "createdDate": "2019-08-24T14:15:22Z",
365 "lastModifiedDate": "2019-08-24T14:15:22Z",
366 "archived": true,
367 "externalId": "string",
368 "id": 0,
369 "name": "string",
370 "province": {
371 "createdBy": "string",
372 "lastModifiedBy": "string",
373 "createdDate": "2019-08-24T14:15:22Z",
374 "lastModifiedDate": "2019-08-24T14:15:22Z",
375 "archived": true,
376 "externalId": "string",
377 "id": 0,
378 "name": "string",
379 "code": "string",
380 "country": {
381 "createdBy": "string",
382 "lastModifiedBy": "string",
383 "createdDate": "2019-08-24T14:15:22Z",
384 "lastModifiedDate": "2019-08-24T14:15:22Z",
385 "archived": true,
386 "externalId": "string",
387 "id": 0,
388 "name": "string",
389 "code": "string"
390 },
391 "provinceCountryKey": "string"
392 },
393 "cityProvinceCountryKey": "string"
394 },
395 "district": {
396 "createdBy": "string",
397 "lastModifiedBy": "string",
398 "createdDate": "2019-08-24T14:15:22Z",
399 "lastModifiedDate": "2019-08-24T14:15:22Z",
400 "archived": true,
401 "externalId": "string",
402 "id": 0,
403 "name": "string",
404 "city": {
405 "createdBy": "string",
406 "lastModifiedBy": "string",
407 "createdDate": "2019-08-24T14:15:22Z",
408 "lastModifiedDate": "2019-08-24T14:15:22Z",
409 "archived": true,
410 "externalId": "string",
411 "id": 0,
412 "name": "string",
413 "province": {
414 "createdBy": "string",
415 "lastModifiedBy": "string",
416 "createdDate": "2019-08-24T14:15:22Z",
417 "lastModifiedDate": "2019-08-24T14:15:22Z",
418 "archived": true,
419 "externalId": "string",
420 "id": 0,
421 "name": "string",
422 "code": "string",
423 "country": {
424 "createdBy": "string",
425 "lastModifiedBy": "string",
426 "createdDate": "2019-08-24T14:15:22Z",
427 "lastModifiedDate": "2019-08-24T14:15:22Z",
428 "archived": true,
429 "externalId": "string",
430 "id": 0,
431 "name": "string",
432 "code": "string"
433 },
434 "provinceCountryKey": "string"
435 },
436 "cityProvinceCountryKey": "string"
437 }
438 },
439 "cityId": 0,
440 "districtId": 0
441 }
442 },
443 "status": {
444 "createdBy": "string",
445 "lastModifiedBy": "string",
446 "createdDate": "2019-08-24T14:15:22Z",
447 "lastModifiedDate": "2019-08-24T14:15:22Z",
448 "archived": true,
449 "externalId": "string",
450 "id": 0,
451 "priority": 0,
452 "internalId": 0,
453 "pickListCode": "string",
454 "pickListLabel": "string",
455 "label": "string",
456 "cultureId": 0,
457 "labelDtos": [
458 {
459 "createdBy": "string",
460 "lastModifiedBy": "string",
461 "createdDate": "2019-08-24T14:15:22Z",
462 "lastModifiedDate": "2019-08-24T14:15:22Z",
463 "archived": true,
464 "externalId": "string",
465 "id": 0,
466 "cultureId": 0,
467 "value": "string"
468 }
469 ]
470 },
471 "usage": {
472 "createdBy": "string",
473 "lastModifiedBy": "string",
474 "createdDate": "2019-08-24T14:15:22Z",
475 "lastModifiedDate": "2019-08-24T14:15:22Z",
476 "archived": true,
477 "externalId": "string",
478 "id": 0,
479 "priority": 0,
480 "internalId": 0,
481 "pickListCode": "string",
482 "pickListLabel": "string",
483 "label": "string",
484 "cultureId": 0,
485 "labelDtos": [
486 {
487 "createdBy": "string",
488 "lastModifiedBy": "string",
489 "createdDate": "2019-08-24T14:15:22Z",
490 "lastModifiedDate": "2019-08-24T14:15:22Z",
491 "archived": true,
492 "externalId": "string",
493 "id": 0,
494 "cultureId": 0,
495 "value": "string"
496 }
497 ]
498 },
499 "occupanciesDto": [
500 {
501 "createdBy": "string",
502 "lastModifiedBy": "string",
503 "createdDate": "2019-08-24T14:15:22Z",
504 "lastModifiedDate": "2019-08-24T14:15:22Z",
505 "archived": true,
506 "externalId": "string",
507 "id": 0,
508 "priority": 0,
509 "internalId": 0,
510 "pickListCode": "string",
511 "pickListLabel": "string",
512 "label": "string",
513 "cultureId": 0,
514 "labelDtos": [
515 {
516 "createdBy": "string",
517 "lastModifiedBy": "string",
518 "createdDate": "2019-08-24T14:15:22Z",
519 "lastModifiedDate": "2019-08-24T14:15:22Z",
520 "archived": true,
521 "externalId": "string",
522 "id": 0,
523 "cultureId": 0,
524 "value": "string"
525 }
526 ]
527 }
528 ]
529 }
530]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
201 |
Created |
Inline |
Example Responses
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "number": "string",
11 "name": "string",
12 "headPremise": true,
13 "possessionDate": "2019-08-24",
14 "openingDate": "2019-08-24",
15 "closingDate": "2019-08-24",
16 "relocationDate": "2019-08-24",
17 "vacatingDate": "2019-08-24",
18 "expansionDate": "2019-08-24",
19 "statusId": 0,
20 "usageId": 0,
21 "parentPremiseId": 0,
22 "costCenterId": 0,
23 "profitCenterId": 0,
24 "legalEntityId": 0,
25 "occupancyIds": [
26 0
27 ],
28 "locationId": 0,
29 "locationDto": {
30 "createdBy": "string",
31 "lastModifiedBy": "string",
32 "createdDate": "2019-08-24T14:15:22Z",
33 "lastModifiedDate": "2019-08-24T14:15:22Z",
34 "archived": true,
35 "externalId": "string",
36 "id": 0,
37 "number": "string",
38 "name": "string",
39 "storeNumber": "string",
40 "defaultCurrencyId": 0,
41 "defaultMeasureId": 0,
42 "typeId": 0,
43 "qualityId": 0,
44 "propertyTypeId": 0,
45 "categoryId": 0,
46 "statusId": 0,
47 "businessUnitId": 0,
48 "groupIds": [
49 0
50 ],
51 "legalEntityIds": [
52 0
53 ],
54 "defaultCurrency": {
55 "id": 0,
56 "status": "CREATED",
57 "displayId": "string",
58 "erpSystemId": 0,
59 "erpSystemDisplayId": "string",
60 "name": "string",
61 "decimalPoints": 0,
62 "depreciationAreaId": 0
63 },
64 "defaultUnitValue": {
65 "createdBy": "string",
66 "lastModifiedBy": "string",
67 "createdDate": "2019-08-24T14:15:22Z",
68 "lastModifiedDate": "2019-08-24T14:15:22Z",
69 "archived": true,
70 "externalId": "string",
71 "id": 0,
72 "unitId": 0,
73 "unitOfMeasureId": 0,
74 "erpSystemId": 0,
75 "unit": {
76 "createdBy": "string",
77 "lastModifiedBy": "string",
78 "createdDate": "2019-08-24T14:15:22Z",
79 "lastModifiedDate": "2019-08-24T14:15:22Z",
80 "archived": true,
81 "externalId": "string",
82 "id": 0,
83 "priority": 0,
84 "internalId": 0,
85 "pickListCode": "string",
86 "pickListLabel": "string",
87 "label": "string",
88 "cultureId": 0,
89 "labelDtos": [
90 {
91 "createdBy": "string",
92 "lastModifiedBy": "string",
93 "createdDate": "2019-08-24T14:15:22Z",
94 "lastModifiedDate": "2019-08-24T14:15:22Z",
95 "archived": true,
96 "externalId": "string",
97 "id": 0,
98 "cultureId": 0,
99 "value": "string"
100 }
101 ]
102 },
103 "unitOfMeasure": {
104 "id": 0,
105 "status": "CREATED",
106 "displayId": "string",
107 "erpSystemId": 0,
108 "erpSystemDisplayId": "string",
109 "name": "string"
110 }
111 },
112 "type": {
113 "createdBy": "string",
114 "lastModifiedBy": "string",
115 "createdDate": "2019-08-24T14:15:22Z",
116 "lastModifiedDate": "2019-08-24T14:15:22Z",
117 "archived": true,
118 "externalId": "string",
119 "id": 0,
120 "priority": 0,
121 "internalId": 0,
122 "pickListCode": "string",
123 "pickListLabel": "string",
124 "label": "string",
125 "cultureId": 0,
126 "labelDtos": [
127 {
128 "createdBy": "string",
129 "lastModifiedBy": "string",
130 "createdDate": "2019-08-24T14:15:22Z",
131 "lastModifiedDate": "2019-08-24T14:15:22Z",
132 "archived": true,
133 "externalId": "string",
134 "id": 0,
135 "cultureId": 0,
136 "value": "string"
137 }
138 ]
139 },
140 "quality": {
141 "createdBy": "string",
142 "lastModifiedBy": "string",
143 "createdDate": "2019-08-24T14:15:22Z",
144 "lastModifiedDate": "2019-08-24T14:15:22Z",
145 "archived": true,
146 "externalId": "string",
147 "id": 0,
148 "priority": 0,
149 "internalId": 0,
150 "pickListCode": "string",
151 "pickListLabel": "string",
152 "label": "string",
153 "cultureId": 0,
154 "labelDtos": [
155 {
156 "createdBy": "string",
157 "lastModifiedBy": "string",
158 "createdDate": "2019-08-24T14:15:22Z",
159 "lastModifiedDate": "2019-08-24T14:15:22Z",
160 "archived": true,
161 "externalId": "string",
162 "id": 0,
163 "cultureId": 0,
164 "value": "string"
165 }
166 ]
167 },
168 "propertyType": {
169 "createdBy": "string",
170 "lastModifiedBy": "string",
171 "createdDate": "2019-08-24T14:15:22Z",
172 "lastModifiedDate": "2019-08-24T14:15:22Z",
173 "archived": true,
174 "externalId": "string",
175 "id": 0,
176 "priority": 0,
177 "internalId": 0,
178 "pickListCode": "string",
179 "pickListLabel": "string",
180 "label": "string",
181 "cultureId": 0,
182 "labelDtos": [
183 {
184 "createdBy": "string",
185 "lastModifiedBy": "string",
186 "createdDate": "2019-08-24T14:15:22Z",
187 "lastModifiedDate": "2019-08-24T14:15:22Z",
188 "archived": true,
189 "externalId": "string",
190 "id": 0,
191 "cultureId": 0,
192 "value": "string"
193 }
194 ]
195 },
196 "category": {
197 "createdBy": "string",
198 "lastModifiedBy": "string",
199 "createdDate": "2019-08-24T14:15:22Z",
200 "lastModifiedDate": "2019-08-24T14:15:22Z",
201 "archived": true,
202 "externalId": "string",
203 "id": 0,
204 "priority": 0,
205 "internalId": 0,
206 "pickListCode": "string",
207 "pickListLabel": "string",
208 "label": "string",
209 "cultureId": 0,
210 "labelDtos": [
211 {
212 "createdBy": "string",
213 "lastModifiedBy": "string",
214 "createdDate": "2019-08-24T14:15:22Z",
215 "lastModifiedDate": "2019-08-24T14:15:22Z",
216 "archived": true,
217 "externalId": "string",
218 "id": 0,
219 "cultureId": 0,
220 "value": "string"
221 }
222 ]
223 },
224 "status": {
225 "createdBy": "string",
226 "lastModifiedBy": "string",
227 "createdDate": "2019-08-24T14:15:22Z",
228 "lastModifiedDate": "2019-08-24T14:15:22Z",
229 "archived": true,
230 "externalId": "string",
231 "id": 0,
232 "priority": 0,
233 "internalId": 0,
234 "pickListCode": "string",
235 "pickListLabel": "string",
236 "label": "string",
237 "cultureId": 0,
238 "labelDtos": [
239 {
240 "createdBy": "string",
241 "lastModifiedBy": "string",
242 "createdDate": "2019-08-24T14:15:22Z",
243 "lastModifiedDate": "2019-08-24T14:15:22Z",
244 "archived": true,
245 "externalId": "string",
246 "id": 0,
247 "cultureId": 0,
248 "value": "string"
249 }
250 ]
251 },
252 "addressDto": {
253 "createdBy": "string",
254 "lastModifiedBy": "string",
255 "createdDate": "2019-08-24T14:15:22Z",
256 "lastModifiedDate": "2019-08-24T14:15:22Z",
257 "archived": true,
258 "externalId": "string",
259 "id": 0,
260 "street": "string",
261 "civicNumber": "string",
262 "suite": "string",
263 "postalCode": "string",
264 "lon": 0.1,
265 "lat": 0.1,
266 "city": {
267 "createdBy": "string",
268 "lastModifiedBy": "string",
269 "createdDate": "2019-08-24T14:15:22Z",
270 "lastModifiedDate": "2019-08-24T14:15:22Z",
271 "archived": true,
272 "externalId": "string",
273 "id": 0,
274 "name": "string",
275 "province": {
276 "createdBy": "string",
277 "lastModifiedBy": "string",
278 "createdDate": "2019-08-24T14:15:22Z",
279 "lastModifiedDate": "2019-08-24T14:15:22Z",
280 "archived": true,
281 "externalId": "string",
282 "id": 0,
283 "name": "string",
284 "code": "string",
285 "country": {
286 "createdBy": "string",
287 "lastModifiedBy": "string",
288 "createdDate": "2019-08-24T14:15:22Z",
289 "lastModifiedDate": "2019-08-24T14:15:22Z",
290 "archived": true,
291 "externalId": "string",
292 "id": 0,
293 "name": "string",
294 "code": "string"
295 },
296 "provinceCountryKey": "string"
297 },
298 "cityProvinceCountryKey": "string"
299 },
300 "district": {
301 "createdBy": "string",
302 "lastModifiedBy": "string",
303 "createdDate": "2019-08-24T14:15:22Z",
304 "lastModifiedDate": "2019-08-24T14:15:22Z",
305 "archived": true,
306 "externalId": "string",
307 "id": 0,
308 "name": "string",
309 "city": {
310 "createdBy": "string",
311 "lastModifiedBy": "string",
312 "createdDate": "2019-08-24T14:15:22Z",
313 "lastModifiedDate": "2019-08-24T14:15:22Z",
314 "archived": true,
315 "externalId": "string",
316 "id": 0,
317 "name": "string",
318 "province": {
319 "createdBy": "string",
320 "lastModifiedBy": "string",
321 "createdDate": "2019-08-24T14:15:22Z",
322 "lastModifiedDate": "2019-08-24T14:15:22Z",
323 "archived": true,
324 "externalId": "string",
325 "id": 0,
326 "name": "string",
327 "code": "string",
328 "country": {
329 "createdBy": "string",
330 "lastModifiedBy": "string",
331 "createdDate": "2019-08-24T14:15:22Z",
332 "lastModifiedDate": "2019-08-24T14:15:22Z",
333 "archived": true,
334 "externalId": "string",
335 "id": 0,
336 "name": "string",
337 "code": "string"
338 },
339 "provinceCountryKey": "string"
340 },
341 "cityProvinceCountryKey": "string"
342 }
343 },
344 "cityId": 0,
345 "districtId": 0
346 },
347 "secondAddressDto": {
348 "createdBy": "string",
349 "lastModifiedBy": "string",
350 "createdDate": "2019-08-24T14:15:22Z",
351 "lastModifiedDate": "2019-08-24T14:15:22Z",
352 "archived": true,
353 "externalId": "string",
354 "id": 0,
355 "street": "string",
356 "civicNumber": "string",
357 "suite": "string",
358 "postalCode": "string",
359 "lon": 0.1,
360 "lat": 0.1,
361 "city": {
362 "createdBy": "string",
363 "lastModifiedBy": "string",
364 "createdDate": "2019-08-24T14:15:22Z",
365 "lastModifiedDate": "2019-08-24T14:15:22Z",
366 "archived": true,
367 "externalId": "string",
368 "id": 0,
369 "name": "string",
370 "province": {
371 "createdBy": "string",
372 "lastModifiedBy": "string",
373 "createdDate": "2019-08-24T14:15:22Z",
374 "lastModifiedDate": "2019-08-24T14:15:22Z",
375 "archived": true,
376 "externalId": "string",
377 "id": 0,
378 "name": "string",
379 "code": "string",
380 "country": {
381 "createdBy": "string",
382 "lastModifiedBy": "string",
383 "createdDate": "2019-08-24T14:15:22Z",
384 "lastModifiedDate": "2019-08-24T14:15:22Z",
385 "archived": true,
386 "externalId": "string",
387 "id": 0,
388 "name": "string",
389 "code": "string"
390 },
391 "provinceCountryKey": "string"
392 },
393 "cityProvinceCountryKey": "string"
394 },
395 "district": {
396 "createdBy": "string",
397 "lastModifiedBy": "string",
398 "createdDate": "2019-08-24T14:15:22Z",
399 "lastModifiedDate": "2019-08-24T14:15:22Z",
400 "archived": true,
401 "externalId": "string",
402 "id": 0,
403 "name": "string",
404 "city": {
405 "createdBy": "string",
406 "lastModifiedBy": "string",
407 "createdDate": "2019-08-24T14:15:22Z",
408 "lastModifiedDate": "2019-08-24T14:15:22Z",
409 "archived": true,
410 "externalId": "string",
411 "id": 0,
412 "name": "string",
413 "province": {
414 "createdBy": "string",
415 "lastModifiedBy": "string",
416 "createdDate": "2019-08-24T14:15:22Z",
417 "lastModifiedDate": "2019-08-24T14:15:22Z",
418 "archived": true,
419 "externalId": "string",
420 "id": 0,
421 "name": "string",
422 "code": "string",
423 "country": {
424 "createdBy": "string",
425 "lastModifiedBy": "string",
426 "createdDate": "2019-08-24T14:15:22Z",
427 "lastModifiedDate": "2019-08-24T14:15:22Z",
428 "archived": true,
429 "externalId": "string",
430 "id": 0,
431 "name": "string",
432 "code": "string"
[...]
